Overview

Actual Tools Home Page

概要

Actual Tools 製品は、ウィンドウ操作の拡張によりコンピュータ作業を便利に楽しくする Windows® のデスクトップ構成ユーティリティです。コンピュータ作業の生産性は、操作や制御が効率よく行えるウィンドウの数に直接左右されます。Actual Tools 製品は、必要ない "手動" 操作による時間と労力の無駄を排除、新しい管理機能へのアクセスとルーチン操作の自動実行を可能にし、システム内のウィンドウを素早く、簡単に、"自動" 操作できるツールを搭載しています。

ウィンドウ管理の拡張

Microsoft® Windows® のオペレーティング システムには、便利なウィンドウ管理機能がたくさんあります。しかし、ほとんどの機能がソフトウェア開発者の使用やプログラマがアクセスすることを意図しています。Actual Tools 製品は、その管理機能の設定を一般ユーザ向けにカスタマイズした、サポート プログラムの必要なしにほとんどのアプリケーションに適用することができます。また、Actual Tools プログラムは便利なウィンドウ操作の追加機能も提供します。

自動ウィンドウ操作

デスクトップの特定の位置へのウィンドウの移動、使いやすいサイズへの変更、タスクバーへの最小化など、ユーザがいつも手動で行っているウィンドウ操作はたくさんあります。これらの操作はパワーユーザからすると意識することなく行っているのかもしれませんが、実は操作全体にはかなりの時間が費やされてしまっています。例えば、紙に書かれた電話番号をドキュメントや画面に書き写すのにかかる時間のような、ルーチン操作の 1つにかかる時間は微々たるもののように感じます。ただ、番号を "実際に" 入力する時間は、意識をディスプレイからノートへ移し、番号を短期的に記憶し、ディスプレイに意識を戻し、"最終的に" キーボードで番号を入力するというプロセス全体を考えると決して短いものではありません。要するに、プロセスは最初に思ったよりもかなり長引くということです。そこで、ノート参照をスキップして簡単に番号が入力できたらと想像してみてください。そんなパワーと機能性を Actual Tools プログラムは多忙なユーザに提供します。Actual Tools プログラムを使ってルーチン操作を自動化することで、ユーザは作業の妨げになるような些細な悩みから解放され、最大の生産力を発揮することができます。

バージョン 4.5の新機能

システム要件

以前のバージョンからのアップグレード

はじめに

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 22, 2007.


の新機能

Actual Window Manager の新機能

                    Actual Window Manager
                    http://www.actualtools.com/windowmanager/

                    最新更新情報

[!] 重要
[+] 新機能
[-] 問題修正
[*] 変更

---------------------------------------------------------------------------
Actual Window Manager 4.5 (20.06.2007)
---------------------------------------------------------------------------
[!] ウィンドウ監視ログ ツールがコントロール センターに追加されました。これにより
    新しく現れたWindowsを検出し、どのケースが適用されているかをチェックすることが
    できます。不明な設定を検出したり、短いWindows(ツールチップやポップアップメニューなど)
    を検出することができます。この機能を利用するには注意してください。これをオンに
    するとシステムの動作性能が下がります。
[+] 要望の高かった "キーボード マクロの実行" 機能の追加: キーボード マクロ
     を定義して、特定のウィンドウにスタートアップ時に適用することで通常作業を
     自動化することができます。
[+] 新しい "プログラムの親和力の変更" 機能の追加: マルチプロセッサ システム
     をご利用の場合、どの物理プロセッサ上で特定のアプリケーションを実行
     させるかを制御することができます。
[+] 特定のウィンドウ上にマウスを移動した場合に、マウス ポインタを隠す機能が
     追加されました。
[+] 選択したウィンドウ ルール設定を他にコピーする機能が追加されました。
[+] 新しいホットキーが追加されました。
    - "繰り返し設定"の実行 (デフォルト Win+F5)
    - 設定モジュールの実行 (デフォルト Win+C)
    - "可視化" サブメニューは、現在の最小化/隠しウィンドウのリストを
      表示します。 (デフォルト Win+H)
[+] 新しくホットキーを定義するとホットキーの状態が"オプション"ウィンドウの
     "ホットキー"パネルに表示され ます。定義した組み合わせが既に他の
     アプリケーションで使用されているか、または他の動作に定義されている
     かどうかを見ることができます。
[+] 即時透過設定の追加: "透過度"を右クリックすると、コンテキスト メニュー
     の代わりに予め値の設定されたスライダ コントロールが表示されます。
     このスライダを移動することで、透過レベルを即時、簡単に変更すること
     ができます。
[+] 画面を最小化することで、画面アイコンが半透過にすることができます。
[+] 新規タイトル ボタンの追加: クリップボードにコピー、クリップボードからの
     貼り付け
[+] 新しく"ウィンドウ タイトルの維持"オプションが"ウィンドウ タイトルの変更"
    機能に追加されました。
[+] ロールアップ タイトル ボタンのコンテキスト メニュー、またはロールアップ
    タイトル ボタンのサブメニューから一時的に自動ロールアップを無効化する
    ことができるようになりました。
[+] インストール後のはじめての起動時にコントロールセンターのトレイアイコンで
    バルーン ヒントが表示されるようになりました。
[+] オランダ語の翻訳が追加されました (thanks to Onno Verschoor).
[*] ホットキーの内部処理が強化されました。
[*] 永続的な/画面アイコンの強化が行われました。永続的アイコンは、タスクバの
     ボタンのように振る舞います。(例 アクティブなウィンドウの最小化、非アクティブ
     なウィンドウのアクティブ化、最小化ウィンドウの回復)。
[*] "索引" ウィンドウ パネルの更新: 特定のルールでの現在有効なウィンドウ
    設定をすべて表示するようになりました。
[*] オプション構成が再設計されました。"トリガ" および"アクション" グループメモ
    が追加されました。
[*] "ウィンドウ検索を使用中に設定モジュールを隠す"オプションが、[全般]から
     [ユーザ インタフェース]に移動されました。
[*] "カスタム ポジション" および "カスタム サイズ" ダイアログは、現在のウィンドウの
     位置/サイズをキャプション中に表示するようになりました。
[*] "揃える" ウィンドウ メニューのサブメニューは、現在のウィンドウ位置を表示
     するようになりました。
[*] Windows Vistaでのタイトル ボタンの表示が強化されました。
[*] 非標準のタスクバー置換のための置き換え制限領域の表示が強化されました。
[-] Windows Vistaでの"タイトル ボタンの幽霊化" 問題が修正されました。
    時々、タイトルボタンがオーナ ウィンドウから外れてデスクトップに表示されたまま
    になﾁていました。
[-] 互換性の問題が解決されました。
    - Quattro Pro X3 メニュー
    - GrabIt internal windows
    - MS Office XP CTFMON.EXE サービス
    - X-NetStat アプリケーション
[-] Microsoft タイムゾーン ウィンドウとの互換性の問題が解決されました。
[-] ウィンドウ レイアウト ツールが正しく最大化ウィンドウを扱えるようになりました。
[-] ウィンドウ レイアウト ツールがPhotoshop CS2 ドキュメントを複数ディスプレイ
    環境でも正しく扱えるようになりました。
[-] コントロール センター トレイアイコンのコンテキスト メニューの"設定..."アイテム
    はWindows Vistaで正しく表示されるようになりました。
[-] 透過効果の衝突の問題が解決されました。
    - CDArtdisplay アプリケーション
    - Emerge Desktop アプリケーション
    - Windows Vista スタート ボタン
[-] "画面に最小化"機能の問題が修正されました。時々、画面アイコンは、最小化後
     表示領域の外に移動していました。
[-] PowerPoint 2007でタイトル ボタンが正しく動作するようになりました。
[-] Outlook 2007でのタイトルボタンの動作が強化されました。
[-] IE 7 "ページ内の検索"ウィンドウとの衝突の問題が解決されました。
[-] マルチモニタ環境での"置換の制限"機能の間違った動作問題が解決されました。
[-] 時々、ロール状態でウィンドウがフリーズして、手動でアンロールしなければ
    ならない問題が解決されました。アンロール機能は、その機能とおりに動作する
    ようになりました。

---------------------------------------------------------------------------
Actual Window Manager 4.4 (16.04.2007)
---------------------------------------------------------------------------
[!] 待望されていた "smart saving"機能が追加されました。設定の保存時に関連した
    ウィンドウのみに設定が適用されます。
[+] 待望されていた機能が追加されました。すべての最小化されていたウィンドウが
    コントロール センター ポップアップ メニューの[隠しを解除]アイテムから
    回復することができます。
[+] ウィンドウ レイアウト ツールが追加されました。画面の解像度が変化した時に
    現在開いているウィンドウをデスクトップ上に維持するために再配置、サイズの
    変更を自動または手動で調整する機能が追加されました(この機能はローカルや
    リモート デスクトップに同じワークステーションで作業している場合にとても
    便利です)。
[+] 待望されていた機能が追加されました。最大化/最小化/閉じるボタン、ウィンドウ
    アイコン、ウィンドウのサイズ変更枠、またはウィンドウ キャプションなどの
    標準のウィンドウ パーツを削除することでウィンドウを現在の状態に固定して
    移動/最小化/閉じたりされることを回避することができます。
[+] デスクトップに付箋化する機能が追加されました。ウィンドウは、ピン止めされると
    タスクバーから消えて、Alt-Tabでの切り替えや、最小化できなくなり解除される
    まで常に表示されることになります。
[+] 設定モジュールでしようされているフォントを調整する機能が追加されました
    ([オプション]ウィンドウの[ユーザ インタフェース]プロパティを参照してください)。
[+] 異なる透過レベルからのスムーズな移行をオンにする機能が追加されました
    ([オプション]ウィンドウの[透過アクションの実行]を参照してください)。
[+] ウィンドウのロールアップ/アンロールをスムーズに行う機能が追加されました
    ([オプション]ウィンドウの[ロールアップ アクション]を参照してください)。
[+] メイン メニュー コマンドに[設定をテクニカル サポートに送信]追加されました。
    自動送信に失敗すると、設定ファイルは手動で送信するために他の場所に保存され
    ます。
[+] ブラジル系ポルトガル語、セルビ語(ラテン語およびキリル文字)およびポーランド語
    が追加されました。
[*] ランライム メモリの消費が大きく軽減されました。
[*] ウィンドウ ルール設定のためのプロパティ シートは大きくデザイン変更されました。
    新しいウィンドウ ツール機能の索引パネルが追加されました。
[*] 設定モジュールは、メイン ツールバーの位置や殆どすべてのリスト ボックスの
    カラム幅を記憶するようになりました。
[*] 透過効果のStardock WindowBlindsとの互換性が強化されました。
[*] [サイズの変更アクション オプション]プロパティ シートが強化されました。
    アイテムをコピーしたり、サイズ リストボックスの高さを調整することができます。
[*] [表示領域の制限]機能の表示ボタンで提供される許可領域の表示機能が強化されました。
    半透明の緑の長方形が許可領域として表示されます。
[*] [未使用ボタン](グループボタン)が強化されました。マウスが上に移動されると
    割り当て済み機能のアイコンとツールチップが表示されます。
[*] タイトル ボタンはVista変形パック、XPメディア センター エディションまたはいくつかの
    StyleXPテーマの使用時に正しく表示されるようになりました。
[-] Microsoft Project 2002/2003での問題が修正されました。
[-] コマンドシェル拡張(4NTのような)との問題が修正されました。
[-] 透過効果のRainlendar 2, RocketDock, SamurizeおよびY'z Shadowとの競合問題が
    修正されました。
[-] バグ修正: システムトレイへの最小化、および設定の保存時にXP リモート
    デスクトップ クライアントがクラッシュする問題が修正されました。
[-] バグ修正: Actual Toolsプログラムの実行中に、Windows Vista ファイヤウォールの
    アドバンスト セキュリティのGUIがハングする問題が修正されました。
[-] バグ修正: タイトル ボタンは、Excel 2007でも正しく動作するようになりました。
[-] バグ修正: Excel 2003/2007ワークブックのマルチインスタンスおよび
    Acrobat 7 ドキュメントが正しくシステムトレイに最小化されるようになりました。
[-] バグ修正: マルチモニタ環境でいくつかのウィンドウがセカンダリ画面にあり、
    セッション中に接続が外されたらこれらのウィンドウは、自動的にプライマリ
    ディスプレイに移動されるようになりました。
[-] Microsoft Office ショートカット バーがハングする問題が修正されました。
[-] バグ修正: 標準の最小化ボタンを使って、Mozilla アプリケーション(Firefox,
    Thunderbird)がシステムトレイに最小化されたら、タスクバーエントリに残って
    しまう問題が修正されました。
[-] Snapshot Managerを開いているとVMware Workstation 5.5がラッシュする問題が
    修正されました。
[-] Windows Live! ツールバーのタブブラウズ プラグインを使っているときの表示
    不調の問題が修正されました。
[-] バグ修正: Actual Toolsの何か拡張ボタンが追加されるとEudoraがクラッシュ
    する問題が修正されました。
[-] セカンダリ ディスプレイでサイズが変更された場合にプライマリ ディスプレイ
    の配置が正しくなくなる問題が修正されました。
[-] 特定の空ウィンドウ リストに新しいルールが追加される問題が修正されました。

---------------------------------------------------------------------------
Actual Window Manager 4.3 (15.12.2006)
---------------------------------------------------------------------------
[!] このバージョン以降のActual Toolsは、Windows Vistaに完全に互換になりました。
[!] タイトルボタンが正しくWindows Vistaで表示されるようになりました。
    (Aero BasicおよびAero 3D モード)
[!] すべての設定ファイルは、ユーザ プロファイル フォルダに保存されるように
    なりました。
    ("%UserProfile%\Application Data\Actual Tools\Actual Window Manager")
[+] [ウィンドウ設定管理]タイトル ボタンが追加されました。
[+] 追加のタイトルボタンのサポートがMicrosoft Excel 2007 および Microsoft
    Word 2007 で追加されました。
[-] タイトルボタンは非標準サイズでの正しく表示されるようになりました。
[-] Lotus Notesクライアントが開始時にクラッシュする古い問題が修正されました。
[-] 設定の保存中にInternet Explorer 7がクラッシュする問題が修正されました。
[*] Internet Explorerウィンドウは、Windows Vistaで正しく実行されるようになり
    ました。
[-] Mozillaベースのブラウザ (Firefox, Seamonkey など)での期待されない
    フォーカスの切り替えの問題が部分的に修正されました(問題は、まだWin9x
    では存在しています)。
[-] Operaブラウザでのドラッグ&ドロップで機能しなくなる問題が修正されました。
[-] Windows Vista Sidebar widgetsが透過になった場合に表示不調になる問題が
    修正されました。
[-] Yahoo! Widgets ウィンドがハングアップする問題が修正されました。
[-] Stardock ObjectDockでの表示不調の問題が修正されました。
[-] 最小/最大ウィンドウ サイズ設定は、Windows 2003サーバで正しく管理できるように
    なりました。
[-] [表示領域制限]機能のマルチモニタでの問題が修正されました。
[+] 複数のモニタに渡って自動的にウィンドウを再配置する機能が追加されました。
    一般的なマルチモニダ環境や、ターミナル サーバ環境でマルチモニタ クライアント
    を使用している環境で利用することができます。

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 30, 2007.


System Requirements

システム要件

Actual Tools プログラムを正常に実行するには、次の要件を満たしている必要があります。

オペレーティング システム: Win95、Win98、Win ME、Win NT 4.X、Win XP、Windows 2000、Windows 2003
プロセッサ: Pentium II 200 MHz またはそれ以上
システム メモリ: 64 MB
ディスクの空き容量: 3 MB
Copyright © 2002-2007 Actual Tools. All rights reserved.


Upgrading from Previous Versions

以前のバージョンからのアップグレード

バージョン 4.0 以前の Actual Tools 製品の登録ユーザは、以下を注意深くお読みください。

  • Actual Tools のアップグレード方針に従い、登録ユーザが "メジャー アップデート" する際は (3.x から 4.x など) "特別割引" があります。アップグレード センタにアクセスして指示に従い、割引での Actual Tools プログラムの登録をしてください。"マイナ アップデート" (4.0 から 4.1 など) は既存の登録キーを使用し "無料" で行うことができます。
  • 次を移行する場合は、Actual Tools ソフトウェアの以前のバージョンでの設定を読み込むことができます。
    • Actual Tools 製品の以前のバージョンから Actual Window Manager へ
    • Actual Tools 製品の以前のバージョンから同じ製品の最新バージョンへ (例えば、Actual Title Buttons 3.8 から Actual Title Buttons 4.0)
    以前のバージョンから設定を読み込むには、[設定インポート] ウィザードを実行して、指示に従ってください。
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 4, 2007.


Getting Started

はじめに

すべての Actual Tools プログラムには、別々の統合プログラムが 2つ存在します。コントロール センタと設定モジュールです。

コントロール センタ

コントロール センタは軽い、メモリ常駐型アプリケーションです。システム トレイ内のアイコンからウィンドウの活動を常時監視し、文脈依存のメニュー コマンド セットを特徴としています。コントロール センタは設定モジュールで定義された設定を使用し、指定した各ウィンドウの動作を正確に制御します。言い換えれば、設定モジュールは Actual Tools のすべてのプログラムの機能へのアクセスを提供して、コントロール センタがその機能を有効にするということです。コントロール センタから利用可能な追加機能へ簡単にアクセスするには、[トレイ アイコンを有効] のチェックボックスがオンになっているか確認してください。

コントロール センタを開始する方法は次の 2つの方法があります。

  • [スタート] > [すべてのプログラム] > [Actual Window Manager] > [Actual Window Manager] をクリックする。
  • 設定モジュールのメイン メニューから [アクション] > [Actual Window Manager のロード] をクリックする。

設定モジュール

設定モジュールは Actual Tools プログラムの設定を作成/変更できるようデザインされた標準ユーザ インタフェースの Windows® アプリケーションです。

設定モジュールを開始する方法は次の 2つの方法があります。

  • [スタート] > [すべてのプログラム] > [Actual Window Manager] > [Configuration] をクリックする。
  • コントロール センタのトレイ アイコンをダブルクリック、またはこのアイコンを右クリックして、コンテキスト メニューから [設定...] を選択する。

設定モジュールを開くと次の操作が行えます。

  • ウィンドウ設定の変更
  • 設定の保存


Changing Windows Settings

ウィンドウ設定の変更

ウィンドウ設定は2つのグループに分けられます。

  • "システムワイド設定" は、システム "全体" のすべてのウィンドウに影響します。
  • "個別のウィンドウ設定" は、特定のプロパティのみを示すウィンドウに影響します。

互換性の問題のため、"除外" という別のグループもあります。Actual Tools プログラムの影響を受けさせないプロパティを持つウィンドウを表示します。

システムワイド設定

システムワイド設定を調整するには、設定モジュールを実行し、[デフォルト設定] を選択します。このオプションでは、新しいタイトル ボタンの追加、最小化オプションの設定、透明化の調整やその他の設定ができます。ウィンドウの特性上、特別な処理が必要な場合に設定するウィンドウ オプションは、個別設定からしかアクセスできません。

個別のウィンドウ設定

各ウィンドウには、独自のプロパティ セットがありますが、ある種のウィンドウは同じプロパティを共有しています。Actual Tools プログラムでは、個別のウィンドウ設定を定義できます。これは設定したウィンドウにのみ適用されます。設定を構築するには、設定したいウィンドウのタイトルバーを右クリックして表示されるメニューから [ウィンドウ設定管理] > [このウィンドウを★★★] をクリックします。

これで設定モジュールが起動され (すでに起動している場合は、アクティブになります)、個別設定リストに項目が追加、フォーカスされます。Actual Tools プログラム オプションの全領域に即時にアクセスできるようになります。また、[ポジションのプロパティシート] や [サイズのプロパティシート] などの追加オプションへのアクセスが可能になります。

除外

あるウィンドウには特異性があるために、Actual Tools プログラムの通常動作では対応できない種類のウィンドウがあります。衝突、および不要な効果を防止するため、そのようなウィンドウを処理の対象から完全に "除外" すると良いでしょう。個別設定の作成と同様の方法で設定できます。

  • 設定したいウィンドウのタイトルバーを右クリックする。
  • [ウィンドウ設定管理] を選択する。
  • 表示されたポップアップ メニューから [このウィンドウを Actual Window の処理から除く] をクリックする。

メモ: オペレーティング システムに変更を記録させるため、設定を保存することを忘れないようにしてください。

その他の特徴については、特徴を参照してください。
基本操作については、基本操作を参照してください。


設定の保存

変更内容を永続的に適用するには設定を保存する必要があります。コントロール センタが既に実行されている場合は、自動的に設定をリロードし、変更内容を適用します。

次のいづれかの方法から、手動で設定を保存することもできます。

  • 設定モジュールのメイン メニューから [ファイル] > [保存] をクリックする。
  • 設定モジュールのツールバー内の [変更を保存する] ボタンをクリックする。
  • ショートカット キー、[Ctrl] + [S] を押す。
  • 変更を保存せずに設定モジュールを閉じると、"変更を保存しますか？" と確認ダイアログが表示されるので、[はい] をクリックする。


Features

特徴

この章では、ウィンドウに対して Actual Tools プログラムがどのような操作をどのような時に実行できるかを説明します。特定のウィンドウに対しては、"アクション参照"、および "トリガ参照"、ウィンドウ全体に対しては、"コントロール センタ ツール参照" をご覧ください。Actual Tools プログラムの特徴参照としてご利用下さい。

機能説明 (アクション参照)

機能の使い方 (トリガ参照)

コントロール センタ ツール参照

重要！この章で説明するのは、Actual Window Manager のみで利用可能な機能全般です。その他の Actual Tools 製品には廉価版が用意されているので、各説明の上部に表示されている 「この機能を搭載しているアプリケーション」 一覧をご覧ください。一覧がない場合、その機能はどの製品でも利用できます。


What To Do (Window Actions)

機能説明 (アクション)

Actual Tools のプログラムには、システムによって異なる様々なウィンドウに対応するバラエティに富んだアドバンスド コントロール機能が搭載されています。

揃える | - ウィンドウの配置を正確に制御できます。自動でも手動でもウィンドウをお好みの位置に正確に配置することが可能です。
中央をポイントへ | - デスクトップ上の指定したポイントを中央としてウィンドウを配置します。
ウィンドウ タイトルの変更 | - デフォルトのタイトルが気に入らない場合や、もっと明確にしたい場合にタイトルを変更できます。
プログラムの親和力の変更 | - マルチプロセッサ システムでの CPU負荷の均等化やカスタマイズが可能です。
プログラムの優先度の変更 | - ハードウェア リソースを最も有効に利用できるようにシステムのカスタマイズが可能です。
開く | - ウィンドウを開くときの状態を標準、最小化、最大化からあらかじめ設定しておくことができます。
閉じる | - 必要ない/表示したくないウィンドウを自動的に閉じます。
ゴースト | - ウィンドウをゴーストすることにより、そのウィンドウに対する全てのマウス操作を無効にします。
マウスポインタの非表示 | - ウィンドウ上でマウス ポインタを表示する必要がない場合 (Tablet PC Input Panel など)、マウス ポインタを隠すことが可能です。
透過化 | - ウィンドウの半透明化は効果的で便利な機能です。
最小化 | - 閉じると同様の理由で使用します。デスクトップ上では隠れますが、バックグラウンドでは実行中のままになります。
新最小化 | - ウィンドウをタスクバーへ最小化するだけでなく、システム トレイや画面上の指定位置へも最小化できます。
ディスプレイへ移動 | - マルチ ディスプレイ環境では、接続されているどのディスプレイへもウィンドウを移動することができます。
デスクトップに固定 | - ウィンドウをデスクトップへ固定して、最小化できないようにします。
標準のウィンドウパーツを削除 | - ウィンドウの外観や動作をカスタマイズします。
タスクバーに非表示 | - 不要なボタンをタスクバーに表示しません。
サイズ変更 | - 自動でのウィンドウ配置に加え、最適なウィンドウ サイズを定義できます。
表示領域制限 | - それぞれの目的に合わせて、ウィンドウをデスクトップ上の明確な領域に配置して、作業スペースを確保します。
ロールアップ | - 実行中のウィンドウで埋まっているデスクトップのスペースを確保する別の方法です。ロールアップ機能では、タイトルバーのみを表示し、ウィンドウの内容を隠します。
キーボード マクロの実行 | - あるウィンドウを表示する度に同じキーコンビネーションを押す場合、このキーストロークの配列をキーボード マクロとして記憶し、自動的にそのウィンドウへ送信するので、膨大な時間を節約できます。
最背面に移動 | - 現在は必要のないウィンドウでもデスクトップに残しておきたい場合、この機能を利用すると、そのウィンドウを積み重なったウィンドウの 1番下に移動させます。
手前に表示 | - ウィンドウを管理する上で非常に便利な機能です。設定したウィンドウを他のどのウィンドウよりも常に前面に表示します。
ストレッチ | - 配置とサイズ変更を併せた便利な機能です。選択したウィンドウの枠/角度をデスクトップの角に向かって移動します。

上記のアクションの使い方については機能の使い方を参照してください。


Close

閉じる

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

閉じる (アクション) は、実行中のウィンドウを終了し、コンピュータのメモリから削除します。最小化と比較すると、最小化はウィンドウ状態は変化しますがメモリには残ります。)関連するアプリケーションをウィンドウ (そのようなウィンドウを "メイン" ウィンドウと呼ぶ) に表示している場合は、子ウィンドウを含む全てのアプリケーションを終了します。

ヒント: 閉じるは、"ポップアップ ウィンドウ" (どのアプリケーションによって作成されたものでも構いません) や、あまり使用しないウィンドウに有効です。前者のウィンドウは出現時に、後者のウィンドウは非アクティブ時に基づき自動的に終了することができます。

関連アクション: 最小化、新最小化、ロールアップ、最背面に移動

設定可能なトリガ: スタートアップ、非アクティブ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Minimize

最小化

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Minimizer

最小化 (アクション) は、ウィンドウを縮小し、タスクバーにボタンとして表示します。 (デスクトップには表示されません。) 関連するアプリケーションをウィンドウ ("メイン" ウィンドウと呼びます) に表示している場合には、子ウィンドウを含むすべてのアプリケーションを最小化します。

ヒント: 最小化 は、Windows® を起動する時に実行されるアプリケーション、または使用頻度の低いアプリケーションに適用できます。前者はトリガすると即座に自動で最小化でき、後者は非アクティブ状態の時に最小化すると便利です。

関連アクション: 新最小化、ロールアップ、最背面に移動

設定可能なトリガ: スタートアップ、非アクティブ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Minimize Alternatively

新最小化

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Minimizer、Actual Title Buttons、Actual Window Menu

新最小化 (アクション) は、タスクバーだけでなく、次の位置へもウィンドウを最小化します。

  • システムトレイ - 指定したウィンドウを Windows® システムトレイ (またはトレイ) に小さなアイコンとして表示します。

    このシステムトレイ アイコンをクリックしたときのデフォルト アクションは、ウィンドウを元に戻して、トレイからアイコンを削除することです。このデフォルト動作は、最小化のプロパティシートにて変更が可能です。
  • 画面 - 指定したウィンドウを小さなアイコンとして画面に表示します。

    このアイコンは画面上でドラッグできます。このアイコンをダブルクリックしたときのデフォルト アクションは、ウィンドウを元に戻して、デスクトップ、または画面からアイコンを削除することです。このデフォルト動作は、最小化のプロパティシートにて変更が可能です。

ヒント: 新最小化 は、特に "バックグラウンド" アプリケーション (例えばユーザが操作をする必要のないようなアプリケーションなど) や手作業で操作するツール (計算機やカレンダなど) 、常に表示しておく必要のないウィンドウなどに使用すると効果的です。システムトレイや画面へ最小化するので、タスクバーやデスクトップがいっぱいになることもありません。必要な場合にのみ最大化することで、プログラムを再び実行することなく容易にアクセスできます。

関連アクション: 最小化、ロールアップ、最背面に移動、開く

設定可能なトリガ: タイトルボタン、ウィンドウメニュー、最小化

Copyright © 2002-2007 Actual Tools. All rights reserved.


Roll Up

ロールアップ

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Rollup、Actual Title Buttons、Actual Window Menu

ロールアップ (アクション) は、閉じるまたは最小化に加えて、ウィンドウを片付ける別の手段です。

Example of rolling up

ロールアップは、タイトルバーを表示したままウィンドウの内容を隠します。従って、そのウィンドウがデスクトップにあることが簡単に確認でき、画面に "足跡" を残すように小さなサイズで表示します。それに加え、タイトルバーのみを表示していても、ウィンドウはアクティブな状態を維持するので、移動、最小化、システム メニューの呼び出し、閉じる機能が操作可能です。

ヒント: ロールアップは、同時に複数のウィンドウで作業中に、アクティブ ウィンドウに遮られた非アクティブ ウィンドウの内容を素早く確認する場合の理想的な機能です。アクティブ ウィンドウをロールアップし、下に隠れたウィンドウの情報を確認後、アクティブ ウィンドウをアンロールし元に戻します。

関連アクション: 最小化、新最小化、透過度、常に手前に(表示する)

設定可能なトリガ: タイトルボタン、ウィンドウメニュー、非アクティブ、 マウスが上にあるとき、タイトルバーをダブルクリック


Stay Always-On-Top

手前に表示

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Transparent Window、Actual Title Buttons、Actual Window Menu、Actual Window Rollup、Actual Window Guard

手前に表示 (アクション) は、選択したウィンドウを他のどのウィンドウよりも常に手前に表示します。そのウィンドウは常にアクセス可能で、たとえ非アクティブ状態でも他のウィンドウに決して隠れることはありません。

Pin any window to keep it over others.

ヒント: 手前に表示は、活動をモニタするため常に目に見えるようにしておく必要がある場合や、あるウィンドウから別のウィンドウへ情報をドラッグ アンド ドロップする場合などに役立ちます。ドラッグ アンド ドロップを使用して移動先ウィンドウをアクティブにした時に、ソース ウィンドウを隠してしまわないように手前に表示に設定します。

関連アクション: ロールアップ、透過化、ゴースト

設定可能なトリガ: タイトルボタン、ウィンドウ メニュー、スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Send To Bottom

最背面に移動

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Title Buttons、Actual Window Menu

最背面に移動 (アクション) は、ウィンドウ サイズと位置をそのままデスクトップに残しながらも、必要のないウィンドウを最背面に移動します。1組のトランプの1番上のカードを1番下に移動するのと同様です。

ヒント: このアクションは、現在は必要ないが、後でそのアクティブ ウィンドウにアクセスする必要がある場合に効果的です。

関連アクション: 最小化、新最小化、ロールアップ

設定可能なトリガ: タイトルボタン、ウィンドウメニュー

Copyright © 2002-2007 Actual Tools. All rights reserved.


Make Transparent

透過化

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Transparent Window、Actual Title Buttons、Actual Window Menu

透過化 (アクション) は、Windows® 2000/XP/2003 のような Microsoft® オペレーティング システムの最新型に見られる機能です。前面のウィンドウをステンドグラスのようにするので、前面のウィンドウの内容を見ながら後ろにあるウィンドウの内容も透かして見ることができます。

Make Window Transparent on the Fly.

ウィンドウの "透過度" を 0％ (不透明) から 100％ ("完全に" 透明、あるいは不可視) の範囲で選択できます。

ヒント: 透過化は、複数のウィンドウを同時に使用して作業する必要があるが、ウィンドウを並べて表示することができない場合などに非常に便利です。例えば、インターネット ブラウザ ウィンドウから Microsoft® Word ドキュメントに何かを転写する際、両方のウィンドウがぴったり画面に収まらないような場合です。

関連アクション: ロールアップ、常に手前に、ゴースト

設定可能なトリガ: タイトルボタン、ウィンドウメニュー、スタートアップ、非アクティブ、移動/サイズ変更/マウスが上にあるとき、タイトルバーをダブルクリック


Align

揃える

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard、Actual Title Buttons、Actual Window Menu

タイトル通り、揃える (アクション) は対象ウィンドウを自動的に配置します。以下のように、あらかじめ定義されている配置モードは 9つあります。

左上 Top-Left Aligning Mode | 中上 (上中央) Top-Center Aligning Mode | 右上 Top-Right Aligning Mode
左中 (左中央) Middle-Left Aligning Mode | 中中 (中央真ん中) Middle-Center Aligning Mode | 右中 (右中央) Middle-Right Aligning Mode
左下 Bottom-Left Aligning Mode | 中下 (下中央) Bottom-Center Aligning Mode | 右下 Bottom-Right Aligning Mode

デスクトップに正確に配置するために、縦横のシフト値を細かく指定することも可能です。例えば、デスクトップの左端から右方向へ 100ピクセル、下から上へ 150ピクセルにウィンドウを配置する場合は、"左下" を選択して横のシフト値を 100、縦のシフト値を 150に指定します。数値ではなく、デスクトップ サイズに対してのパーセンテージを指定することもできます。シフト値は整数でも負数でも指定できます。(符号のない数値は正数として認識されるので、 "+" 記号は省略できますが、負数を指定する場合は必ず "-" 記号を入力します。)以下の表では配置モードに対し、正数や負数がどのように影響するかを表示しています。

横のシフト

値記号 | + | -
モード
任意 - 左 | 右へ | 左へ
任意 - 中央 | 右へ | 左へ
任意 - 右 | 左へ | 右へ

縦のシフト

値記号 | + | -
モード
上 - 任意 | 下へ | 上へ
中央 - 任意 | 下へ | 上へ
下 - 任意 | 上へ | 下へ

ヒント: ピクセル指定でのウィンドウ配置をする場合は、左上 (基点) を選択し、シフト値をピクセルで指定します。

関連アクション: サイズ変更、開く

設定可能なトリガ: タイトルボタン、ウィンドウメニュー、スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 24, 2007.


Resize

サイズ変更

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard、Actual Title Buttons、Actual Window Menu

サイズ変更 (アクション) は、すべてのプロパティを 1度に変更したり、デフォルト設定のままにしておくなど、ウィンドウの幅と高さを様々な方法で制御します。ピクセル値、あるいはデスクトップ サイズに対するサイズの比率を指定します。あらかじめ設定された複数のサイズの中から有効なものを選択するか、オプションで設定を定義します。また、ウィンドウサイズを制限するために最小/最大サイズを指定することも可能です。

ヒント: 大きな表のあるドキュメントを表示する場合は 100% x 0 (設定済みサイズ)、長いドキュメントの場合は 0 x 100% (設定済みサイズ) の使用を推奨します。

関連アクション: 揃える、示領域制限、ストレッチ

設定可能なトリガ: タイトルボタン、ウィンドウ メニュー、スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 27, 2007.


Restrict Placement

配置制限

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

デスクトップのすべてのウィンドウ、あるいは特定のウィンドウの表示領域を制限する必要性が生じる場合があるでしょう。配置制限 (アクション) は、そのような必要性を解決します。4つ全てのウィンドウ ボーダーに対して制限を定義すると、ウィンドウを移動/サイズ変更/最大化した場合でも、その許可された範囲内でのみ実行されます。

制限はデスクトップの "マージン" で定義します。例えば、右の制限を50ピクセルに設定すると、ウィンドウの右側のウィンドウボーダーはデスクトップの右側のボーダーへ50ピクセル以上近づくことができません。(他のボーダーに対する制限についても同様です。)従って、ボーダーをすべて (4箇所) 制限すると "表示可能な領域" を定義するということになり、この範囲内でのみウィンドウの移動やサイズ変更ができます。制限設定の例、およびデスクトップに対する配置可能な領域と制限された領域については以下の通りです。

a) すべて制限 All four limits provided | b) 左と上を制限 Top-left limits provided
c) 右のみ制限 Right limit only provided | d) 上下を制限 Top-bottom limits provided

制限を設定する場合、大きさの単位としてピクセル (実マージンの指定)、現在のディスプレイ画面に対する比率 (特定の解像度のディスプレイに依存したマージンの指定)、またはデスクトップ サイズに対する比率 (現在表示しているウィンドウに依存したグローバルなマージンの指定) を利用することができます。後者 2つの単位は、マルチディスプレイ環境のみで違いがあり、シングルディスプレイ環境では同じ働きをします。

1度定義すると、ある状況下でのウィンドウ移動を防止します。ウィンドウメニューの [制限設定]を使用することで簡単に一時停止できます。

ヒント: デスクトップで常に 2つの縦の範囲を表示する場合 - 左側を便利なショートカット用に、右側をインスタント メッセンジャ用にします。左の制限と右の制限を必要な幅に定義する - ウィンドウがアイコンやコンタクト リストを隠してしまうこともありません。

関連アクション: 揃える、サイズ変更、ディスプレイへ移動

設定可能なトリガ: スタートアップ、移動、サイズ変更、ウィンドウメニュー

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 24, 2007.


Move To Monitor

ディスプレイへ移動

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Title Buttons、Actual Window Menu、Actual Window Guard

ご使用のコンピュータに複数のディスプレイが接続されている場合、ディスプレイへ移動 (アクション) ではウィンドウを配置するディスプレイを指定できます。ディスプレイの切り替えをすることで、環境に最も適したウィンドウ配置を素早く選択することができます。また、作業スペースの利便性や効率性を考慮し、ディスプレイの表示をあらかじめ定義することもできます。それぞれのディスプレイの解像度が異なる場合は、対象ディスプレイの解像度に合わせてウィンドウ サイズを調整、および配置をした後にウィンドウの外観を維持するので、どのディスプレイでも同じように表示されます。

ヒント: このアクションは、自動ウィンドウ配置とサイズ変更を組み合わせた機能です。

関連アクション: 揃える、サイズ変更

設定可能なトリガ: タイトルボタン、ウィンドウ メニュー、スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Stretch

ストレッチ

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

ストレッチ (アクション) は、デスクトップの端/角に沿って選択したウィンドウの端/角を広げます。

ヒント: ウィンドウ全体を拡大する必要はないが、ある特定のウィンド部分のみ広げたい場合など、ある状況下では最大化に代わる有効な操作です。

関連アクション: 揃える、サイズ変更

設定可能なトリガ: 標準のウィンドウパーツをクリック

Copyright © 2002-2007 Actual Tools. All rights reserved.


Change Program Priority

プログラムの優先度の変更

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard、Actual Title Buttons、Actual Window Menu

プログラムの優先度の変更 (アクション) では、コンピュータのプロセス リソースの割り当てを管理します。マルチタスク オペレーティング システムとして Windows® は、複数のプログラムを同時に実行できますが、大抵のコンピュータにはセントラル プロセッサが 1つしかないので、Windows® は作業全体の量を分配し、プロセッサが各プログラムを実行できるようにしています。各アプリケーションには Windows® により定められた優先度がありますが、実行中タスク内のリソースのデフォルト配置は、メモリの消費量によって決定するわけではありません。

"優先度" は、特定のタスク、およびサブジェクトにどの位の処理時間を掛けるかを次の値により決定します。

  • 最低 - スクリーン セーバーや定期的に表示を更新するだけのアプリケーションのような、最も低い優先度やリフレッシュレートでシステムをモニタするプログラムに使用します。
  • 低
  • 標準
  • 高 - 日々の作業管理に役立つ最適なレベル。
  • 最高 - 注意してご使用下さい。優先度を最高に設定し長時間プログラムを実行した場合、システム上の他のプログラムに必要な処理時間を掛けることができません。あるアプリケーションが実行するタスクが最高の優先度を必要とし、その他のタスクが標準の場合、"一時的に" アプリケーションの優先度を上げます。タイム クリティカルなタスクが完了したら優先度を下げます。
  • リアルタイム - システム管理アプリケーション、および割り込み制限のあるアプリケーションに適しています。リアルタイムは、十分注意して上級ユーザに限り使用してください。誤って使用した場合、マウスやキーボードからの入力、およびバックグラウンド フラッシュなどを管理するシステムを妨害することも考えられます。

ヒント: プログラムの優先度の変更は、状況に応じて重要なプログラムほどセントラル プロセッサに時間を掛けるよう、最小化されたアプリケーションと非アクティブなアプリケーションには最低レベルを適用します。

関連アクション: プログラムの親和力の変更、最小化、新最小化

設定可能なトリガ: タイトルボタン、ウィンドウメニュー、スタートアップ、非アクティブ、最小化


Ghost

ゴースト

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Transparent Window、Actual Title Buttons、Actual Window Menu

"ウィンドウをゴーストする"とは、対象ウィンドウに対するホットキーなどの "キーボード操作" は有効のまま、すべての "マウス操作" を無効にすることです。ゴースト ウィンドウの見た目は通常のウィンドウと違いがありません。マウス操作は無効ですが、タスクバー ボタンを左クリックして最小化/元に戻す、右クリックでウィンドウメニューを開くなど、タスクバー ボタンからのウィンドウ操作は可能です。

ヒント: ゴースト (アクション) は、Windows® タスク マネージャーのパフォーマンス タブのように、操作は不要だが、ウィンドウの活動状況を確認していたい場合などに便利な機能です。ゴーストするとウィンドウは動的なイメージ画面 (TV スクリーンのような) となり、干渉されることなく、デスクトップで自由に作業したり移動することが可能です。

関連アクション: 常に手前に (表示する)、透過化

設定可能なトリガ: タイトルボタン、ウィンドウメニュー、スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Change Caption

ウィンドウタイトルの変更

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

ウィンドウタイトルの変更 (アクション) により、ウィンドウタイトルの文字列を自由に変更できます。

ヒント: ウィンドウタイトルの変更 は、例えばデフォルトのタイトルが不要な情報 (プログラムのバージョンナンバー、フォルダ パス、アクティブ データベースのファイル名など) で分かりにくい場合や、実行プログラムを偽装したい場合に便利な機能です。

設定可能なトリガ: スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Change Run Mode

開く

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard、 Actual Window Minimizer

Windows® のオペレーティング システムには、システム ウィンドウやアプリケーション ウィンドウのデフォルトの外観用に 3つの実行モードが用意されています。

  • ノーマル - 最も一般的な (デフォルト) ウィンドウ外観。このモードでは、ウィンドウの "再配置"、"サイズ変更"、"最大化" (デスクトップ サイズに)、"最小化" (タスクバー ボタンに)、"元に戻す" (最小化から) が使用できる。
  • 最小化 - ウィンドウは隠れているが、タスクバー ボタンからウィンドウへ (右クリックでのメニュー オプション) アクセスできる。
  • 最大化 - デスクトップ全体にウィンドウを表示するので、移動やサイズ変更はできない。しかし、標準モードへの最小化やレストアが可能。

開く(アクション) は、システム内のウィンドウに対するデフォルトの実行モードを以上3つのいずれかに設定します。

ヒント: Windows® 標準の最小化モードと Actual Tools プログラムの拡張機能である新最小化を同時に使用することで、更にウィンドウ管理がしやすくなります。

関連アクション: プログラムび優先度の変更、新最小化

設定可能なトリガ: スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Remove Taskbar Entry

タスクバーに非表示

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

デスクトップに常に表示しておきたいウィンドウでも、タスクバー スペースを無駄に使いたくないがために、そのボタンを表示したくないことがあるでしょう。タスクバーに非表示 (アクション) は、大半のウィンドウに対して適用できるので、Windows® の作業スペースが制御しやすくなります。

ヒント: このアクションはロールアップと組み合わせると更に効果的です。

関連アクション: 新最小化、ロールアップ

設定可能なトリガ: スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.


When To Do (Window Triggers)

機能の使い方 (トリガ)

Actual Tools のプログラムには、ウィンドウへ機能を適用する方法がたくさんあります。ウィンドウ状態、およびユーザが定義した設定に基づき自動的に実行される機能と、手動操作でのユーザによる指定が必要な機能があります。

自動ウィンドウ トリガ参照

手動ウィンドウ トリガ参照

Copyright © 2002-2007 Actual Tools. All rights reserved.


Title Buttons

タイトルボタン

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Title Buttons、Actual Transparent Window、Actual Window Minimizer、Actual Window Rollup

タイトルボタンは、Windows® 標準のシステムセット Standard Title Buttons: Minimize, Maximize/Restore, Close に、[最小化]、[最大化/元に戻す]、[閉じる] ボタンに新しいボタンを追加することができます。追加したボタンから Actual Tools プログラムのアクションへアクセスできます。

  • AltMin button 新最小化 - 左クリックすると、Windows® のデフォルト機能である "タスクバーに最小化" 以外に、ユーザ設定した方法によってウィンドウを最小化します。右クリックでコンテキスト メニュー オプションの一覧を表示します。そこで状況に応じた最適な最小化モードの選択、最小化オプションの変更、最小化機能のキャンセルができます。

    AltMin button context menu

  • Roll Up button ロールアップ - 左クリックすると、ウィンドウをロールアップします。再度左クリックするとアンロールします。
  • Stay Always-On-Top button 手前に表示する - 左クリックすると、そのウィンドウを他のウィンドウよりも手前に表示して、その状態を維持します。再度左クリックすると他のウィンドウに "隠れる" ようにします。
  • Send to Bottom button 最背面に移動 - 左クリックすると、そのウィンドウを他の全てのウィンドウの背面に移動します。
  • Make Transparent button 透過化 - 左クリックすると、設定した透過度に変更します。再度左クリックすると、元の透過度に戻ります。右クリックすると、透過度 （あらかじめ設定された透過度）を選択できるコンテキスト メニュー オプションの一覧を表示します。

    Transparency Context Menu

  • Align Window button 揃える - 左クリックすると、設定モジュールで指定した方法に従いウィンドウを揃えます。再度左クリックすると、ウィンドウを元の位置に移動します。右クリックすると、配置位置を選択できるコンテキスト メニュー オプションの一覧を表示します。

    Align Window Context Menu;

  • Resize Window button サイズ変更 - 左クリックすると、設定モジュールで指定した方法に従いウィンドウをサイズ変更します。再度左クリックすると、ウィンドウを元のサイズに戻ります。右クリックすると、コンテキスト メニュー オプションの一覧を表示します。ここで設定したサイズからの選択、またはカスタム位置の設定へアクセス可能です。

    Resize Window Context Menu

  • Change Priority button プログラムの優先度の変更 - 左クリックすると、設定モジュールで設定したユーザ定義の優先度に変更します。右クリックすると、コンテキスト メニュー オプションの一覧を表示します。ここで現在の優先度の設定や変更へアクセス可能です。

    Change Priority Context Menu

  • Ghost button ゴースト - 左クリックすると、ウィンドウを "ゴースト" します。
  • Move to Monitor button ディスプレイへ移動 - 左クリックすると、ウィンドウをシステムに割り当てられた別のディスプレイへ移動します。右クリックすると、コンテキスト メニュー オプションの一覧を表示します。ここで現在のディスプレイの設定や変更へアクセス可能です。

    Move to Monitor Context Menu

  • Unused Buttons button 無効化ボタン - アクセスはするが使用頻度が低い操作用のボタンで、ウィンドウに負荷を掛けたくない場合に有効なボタンです。右クリックすると、コンテキスト メニューを表示します。(ここに無効化ボタンの全コマンドがあります)

    Unused Buttons Context Menu

    このボタンは左クリックも有効です。最初は右クリックと同様のメニューを表示しますが、このメニューから何かを選択すると、その機能がボタンに "適用" されます。例えば、通常の透過化ボタンと同様に透過度を変更できます。コンテキスト メニューから別の機能を選択すると、その機能が適用されます。
  • Copy to Clipboard button クリップボードにコピー - 左クリックすると、ウィンドウで選択されているデータを Windows® クリップボードにコピーします。このボタン (と クリップボードから貼り付けの併用) を使用してクリップボードを操作すると、[編集] メニューからコマンドを使用するよりも遥かに早く実行できます。タッチスクリーンのような代替の入力デバイスを利用している場合は、特に効果的です。
  • Paste from Clipboard button クリップボードから貼り付け - 左クリックすると、Windows® クリップボード のデータをウィンドウに貼り付けます。このボタンは、[貼り付け] ボタンの補足であり、クリップボードに何かをコピーした後で使用します。
  • Manage Window Settings button ウィンドウ設定管理 - このボタンを使用すると、ワンクリック (左でも右でも可) でウィンドウ設定コマンドへアクセスできる。例えば、ウィンドウ設定をリセットする場合、このボタンをクリックしてメニューに表示される [ウィンド設定更新] を選択する。また、このボタンをクリックして [このウィンドウの個別設定を作成する] を選択することで、ウィンドウに対して個別の設定をすることも可能。
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 24, 2007.


Window Menu

ウィンドウメニュー

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Menu、Actual Transparent Window、Actual Window Minimizer、Actual Window Rollup

ウィンドウメニューの特徴として、Windows® 標準のウィンドウ メニューに、右クリックで簡単に操作できるコンテキスト メニューを追加できます。このコンテキスト メニューからは Actual Tools で利用できる拡張されたアクションへアクセスできます。

New Window Menu Items

新しいコンテキスト メニュー オプションは以下の通りです。

  • [新最小化] - 新最小化方法の選択、またはトレイや画面アイコンのオプションの変更、または最小化を無効にするためのサブメニューを表示します。

    Window Menu AltMin sub-menu

  • [ロールアップ] - 左クリックすると、ウィンドウをロールアップします。再度左クリックするとアンロールします。
  • [常に手前に] - 左クリックすると、そのウィンドウを他のウィンドウよりも手前に表示します。再度左クリックすると他のウィンドウに隠れます。
  • [最背面に移動] - 左クリックすると、そのウィンドウを他の全てのウィンドウの背面に移動します。
  • [透過度] - 定義済みの値に透過度を変更、あるいは定義された値の範囲内で選択、および透明化の解除のためのサブメニューを表示します。

    Window Menu Transparency sub-menu

  • [揃える] - あらかじめ定義されている9種類のウィンドウを揃える方法をサブメニューに表示します。

    Window Menu Alignment sub-menu

  • [ウィンドウのサイズ変更] - ウィンドウを定義済みのウィンドウ サイズから選択、またはカスタム サイズを定義してサイズ変更するためのサブメニューを表示します。

    Window Menu Resize Window sub-menu

  • [優先度] - 現在の優先度設定にアクセスしたり、状況に応じて変更するためのサブメニューを表示します。

    Window Menu Priority sub-menu

  • [ゴースト] - 左クリックすると、ウィンドウを "ゴースト" します。注) 一度左クリックでゴースト化したら、左クリックで元に戻すことはできません。(タスクバーの中のタイトルを左クリックするとゴーストの解除可能)
  • [移動] - 現在接続しているディスプレイの一覧をサブメニューに表示。適切なディスプレイを選択することで、ウィンドウをどのディスプレイにでも移動できます (チェック項目は現在ウィンドウが表示されているディスプレイを示す)。

    Move to Monitor Context Menu

  • [配置制限] - ウィンドウに置制限を設定すると、このオプションは自動で追加されます。状況に応じてウィンドウを自由に移動/サイズ変更する場合は、一時解除を使用します。その後、配置制限を元に戻すと、ウィンドウは自動的に配置可能な領域に配置され、必要な場合には、配置可能な領域に収まるようにサイズが変更されます。
  • [デスクトップに固定] - このオプションはウィンドウをデスクトップに固定すると、自動的に追加されます。通常のウィンドウに変更する場合は、ウィンドウ "固定/固定解除" の状態を切り替えます。
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 7, 2007.


Hotkeys

ホットキー

ホットキーは、使用頻度の高いアクションへの素早いアクセスを可能にします。以下のデフォルト設定されているキーの組み合わせを押すと、割り当てられている機能を実行します。

  • [Windows] キー + [ . ] - ロールアップ (アクション) を実行します。
  • [Windows] キー + [ , ] - ロールアップ (アクション) を実行します。
  • [Windows] キー + [S] - 手前に表示する (アクション) を実行します。
  • [Windows] キー + [B] - 最背面に移動 (アクション) を実行します。
  • [Windows] キー + [T] - 透明化 (アクション) を実行します。
  • [Windows] キー + [A] - 揃える (アクション) を実行します。
  • [Windows] キー + [Z] - サイズ変更 (アクション) を実行します。
  • [Windows] キー + [G] - ゴースト (アクション) を実行します。
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 27, 2007.


Title Bar Double-Click

タイトルバーをダブルクリック

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Transparent Window、Actual Window Rollup

"タイトルバーをダブルクリック トリガ" は、デフォルトの動作 "ウィンドウの最大化/元に戻す" を次のアクションに変更することができます。

  • 透過化 - 通常の透過度とユーザが定義した透過度を切り替えます。ダブルクリックすると、ユーザが定義した透過度に変わり、再度ダブルクリックすると、変更前の透過度に戻ります。
  • ロールアップ - ロールアップ状態 (ロールアップ/アンロール) を切り替えます。例えば、ウィンドウがロールアップされている状態で1度ダブルクリックするとアンロールされ、再度ダブルクリックするとまたロールアップします。その逆もまた同様。


Standard Window Part Click

標準のウィンドウパーツをクリック

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

標準のウィンドウパーツに含まれる視覚要素は、タイトル、ボーダー、最小化/最大化/ヘルプ/閉じるのタイトルボタンやメニュー アイコンです。上記すべての要素にはそれぞれ目的があります。タイトルはウィンドウをドラッグ (左クリックしながら移動) する場合やウィンドウ メニューを開く (右クリック) 場合に使用します。ボーダーはウィンドウのサイズ変更 (左クリックしながらドラッグ) などに使用します。ウィンドウによっては該当しない場合もあります。例えば、標準のダイアログ ウィンドウには最小化/最大化ボタンは無く、サイズ変更もできません。

ウィンドウがより便利になるように、"標準のウィンドウパーツをクリック トリガ" では使用頻度の低いウィンドウパーツに機能を追加することが可能です。どのパーツをどのようにクリックしたか (左クリック、右クリック、左クリック + キー) により、実行される機能が異なります。現在の所、ボーダーを右クリック、[最大化] ボタンを右クリック、[閉じる] ボタンを右クリックの 3つのイベントが拡張可能です。

ボーダーを右クリック (イベント) では、次のアクションが実行できます。

  • ストレッチ - デスクトップの端や角に向かってウィンドウをストレッチします。再度同じボーダーパーツを右クリックするとウィンドウ サイズが元に戻ります。

最大化ボタンを右クリック (イベント) では、次のアクションが実行できます。

  • デスクトップ サイズに最大化 - 複数のディスプレイを使用してデスクトップを表示している場合、ウィンドウを画面全体のサイズに拡大します。再度このボタンを右クリックするとウィンドウ サイズが元に戻ります。

閉じるボタンを右クリック (イベント) では、次のアクションが実行できます。

  • 閉じる - これはウィンドウを閉じる選択肢の1つです。左クリックを [ウィンドウを間違って閉じることを防止] をオンにしている場合や最小化モードを設定している場合 - 右クリックがその役割をします。


Startup

スタートアップ

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard、Actual Transparent Window、Actual Window Minimizer

"スタートアップ トリガ" は、新たにウィンドウを開いた時に自動的にアクションを実行します。既に開いてあるウィンドウがアクティブ状態、または最小化後、元に戻した場合には実行されませんので注意してください。ウィンドウを開いた時にトリガ設定が可能なアクションは以下の通りです。

  • 揃える
  • 中央をポイントへ
  • ウィンドウタイトルの変更
  • プログラムの親和力の変更
  • プログラムの優先度の変更
  • 開く
  • 閉じる
  • ゴースト
  • マウスポインタの非表示
  • 透過化
  • 最小化
  • ディスプレイへ移動
  • デスクトップに固定
  • 標準のウィンドウパーツを削除
  • タスクバーに非表示
  • サイズ変更
  • 配置制限
  • キーボード マクロの実行
  • 常に手前に
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 5, 2007.


Closing

閉じる

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

"閉じるトリガ" は、ウィンドウの[閉じる] を押されると自動的に実行されます。このトリガは次の操作をすると実行されます。

  • 標準 (Windows® 規定) の [閉じる] タイトルボタンをクリックする。
  • [Alt] + [F4] ホットキー (別名: ショートカットキー) を押す。
  • アプリケーションによっては閉じるを自動的に実行するものもある。(Actual Tools のプログラムも含む)

ウィンドウを閉じる時にトリガ設定が可能なアクションは以下の通りです。

  • ウィンドウを間違えて閉じることの防止
  • ポジションの保存
  • サイズの保存
  • "常に手前に (表示する)" 状態の保存


Minimization

最小化

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard、 Actual Window Minimizer

"最小化トリガ" は、ウィンドウが最小化を開始すると自動的に実行します。このトリガの起動方法は以下の通りです。

  • 標準 (Windows® 規定) の [最小化] タイトルボタンをクリックする。
  • ウィンドウが最大化されている状態で関連するタスクバーボタンをクリックする。
  • アプリケーションによっては、最小化を自動的に実行するものもある。(Actual Tools のプログラムも含む)

ウィンドウを最小化する時にトリガ設定が可能なアクションは以下の通りです。

  • 新最小化
  • プログラム優先度の変更


Activation / Deactivation

アクティブ / 非アクティブ

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard、Actual Window Minimizer、Actual Transparent Window、Actual Window Rollup

ウィンドウに "キーボード入力フォーカス" ("フォーカス") がある場合、そのウィンドウをアクティブと呼び、押したキーに関する通知をすべて受信します。その他すべてのウィンドウを非アクティブ (インアクティブ）と呼びます。非アクティブ ウィンドウのタイトルバーが薄くなっている中、アクティブ ウィンドウのタイトルバーは濃く表示されます。ビリヤードであるプレイヤの番になると、他のプレイヤは順番を待たなければならない状態のように、1度に1つのウィンドウのみがフォーカスを取得できます。あるウィンドウから別のウィンドウに切り替えると、初めのウィンドウは非アクティブになり、2番目のウィンドウがアクティブになります。他のウィンドウのタイトルバーが薄くなっている中、アクティブ ウィンドウのタイトルバーは濃く表示されます。

ウィンドウが "フォーカスを失う" ("非アクティブ ウィンドウ" になる) と非アクティブ トリガが自動的にアクションを実行します。逆に、アクティブ トリガはウィンドウが "フォーカスを得る" と自動的にアクションを実行します。大半の場合、アクティブ トリガは非アクティブ トリガとは反対のアクションを実行するか、非アクティブ トリガによって変更されたウィンドウ プロパティを元の値に戻します。非アクティブ時のトリガ設定が可能なアクションは以下の通りです。

  • 最小化
  • ロールアップ
  • 透過化
  • プログラムの優先度の変更
  • ゴースト
  • 閉じる
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 5, 2007.


Moving / Resizing / Mouse-Hovering

移動/サイズ変更/マウスが上にあるとき

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Transparent Window、Actual Window Rollup

システムの拡張ウィンドウ管理に対して Actual Tools プログラムが提供するウィンドウ状態の切り替え ("オン/オフ") について説明します。ウィンドウ状態に合わせて一時的にウィンドウ プロパティを変更することで、より便利にご利用いただけます。

"移動状態" は、マウスポインタを使用して、タイトルバーをクリックしながらドラッグを開始すると "オン" になります。タイトルバーのどこかを左クリックしながらドラッグして、デスクトップの別の位置へウィンドウを移動した場合です。ウィンドウを移動するもう1つの方法は、タイトルバーを右クリックして、[移動] コマンドを選択、カーソルを使用してウィンドウをドラッグします - 最後に [Enter] を押すと位置が固定され、[Esc] を押すとキャンセルされます。左クリックを離す、または上記で記載したキーを押すと、"移動状態" が "オフ" になります。Actual Tools プログラムでは、ウィンドウの移動中に次のアクションを自動的に実行することができます。

  • 透過化 - 指定した透過度に変わります。移動が完了すると、元の値に戻ります。
  • 配置制限 - 定義済みの制限を超えての移動を拒否します。

"サイズ変更状態" は、 カーソルを使用してウィンドウのサイズ変更を開始すると "オン" になります。カーソルをウィンドウ枠の上に移動し、両方向矢印に変わったところで左クリックしながらドラッグして、サイズ変更した場合です。ウィンドウのサイズ変更をするもう1つの方法は、タイトルバーを右クリックして、[サイズ変更] コマンドを選択、矢印キーを使用しウィンドウのサイズを変更します - 最後に [Enter] を押すとサイズが固定され、[Esc] を押すとキャンセルされます。左クリックを離す、または上記で記載したキーを押すと、"サイズ変更状態" が "オフ" になります。Actual Tools プログラムでは、ウィンドウのサイズ変更中に次のアクションを自動的に実行することができます。

  • 透過化 - 指定した透過度に変わります。サイズ変更が完了すると、元の値に戻ります。
  • 配置制限 - 定義済みの制限を超えてのサイズ変更を拒否します。

"マウスが上にあるとき状態" はマウスポインタがウィンドウの枠を超えてウィンドウ領域に入ると即座に "オン" になります。逆に、マウスポインタがこの領域を出るとすぐに "マウスが上にあるとき状態" が "オフ" になります。Actual Tools プログラムでは、マウスポインタがウィンドウの上にあるときに次のアクションを自動的に実行することができます。

  • 透過化 - 指定した透過度に変わります。マウスポインタがウィンドウの領域から出ると、元の値に戻ります。
  • アンロール - マウスポインタがウィンドウの外に出ると、再度ロールアップします。ロールアップ/アンロールを自動で開始するまでの時間を指定することもできます。


Principles of Operation

基本操作

Actual Tools プログラムを充実してご利用いただくために、基本操作をお読みください。簡単にご理解いただけます。この章では、様々な種類のウィンドウ設定 (どのような効果があるか、各ウィンドウ設定の相違や関係など) について説明します。


Window Rule

ウィンドウ ルール

ウィンドウ ルールは、Actual Tools プログラムがどのウィンドウをどのように処理するのかを明確にするための基本要素です。ウィンドウ ルールは、次の2つで構成されています。

  • 対象ウィンドウ - どのウィンドウを処理するかを決定します。
  • 機能オプション - どの機能を対象ウィンドウに適用するかを決定します。

システム内の多数のウィンドウを簡単に処理、管理するため、Actual Tools プログラムには3つのウィンドウ ルールカテゴリがあります。

  • デフォルト設定 - 対象ウィンドウを指定せずに機能オプションを活用します。このカテゴリでは、ウィンドウの本質やプロパティに関わらず、すべてのウィンドウに対して活用する機能や特徴を 1つの "総括的なルール" として作成します。
  • 個別設定 - 機能オプションと対象ウィンドウを活用して、ある特定のウィンドウに対する外観、および機能を設定します。作成できる個別設定ルールの数に制限はありません。いつでも変更や削除することができます。
  • 除外 - 対象ウィンドウのみを活用して、特定のウィンドウを Actual Tools プログラムの影響を受けないようにします。個別設定のように、除外ウィンドウ ルールも作成、変更、および削除することができます。

ユーザ、またはシステムに先導された機能によってウィンドウが開かれた場合、コントロール センタがその機能を検知し、そのウィンドウに適用する適切なルールを検索します。この処理についての詳細は、Actual Window Manager は適用ルールをどのように選択するかを参照してください。


Target Window

対象ウィンドウ

個別設定や除外のようなウィンドウ ルールには、特別な基準セットがあり、対象ウィンドウの正確な識別をします。これらの基準は、すべてのウィンドウが持つ内部プロパティや、Windows® オペレーティング システムによって特定のウィンドウに適用された値に基づいています。

Actual Tools プログラムでは、対象ウィンドウの識別のため、次の3つのウィンドウ プロパティを使用します。

  • ウィンドウ クラス - 内部ウィンドウ タイプ識別。(システム名)対象ウィンドウ識別に最も適した方法です。しかし、同じクラスのウィンドウはそれぞれ異なるにも関わらず、正確でない場合もあります。"Explorer" フォルダのウィンドウが良い例です。複数のエクスプローラ フォルダを異なるウィンドウで開くことができるが、すべて同じウィンドウ クラス値となるので、それぞれのウィンドウ クラスを区別することができません。
  • ウィンドウ プログラム - あるウィンドウやウィンドウ セットを引きおこすアプリケーションのための主な ".EXE" ファイル名です。このプロパティを使用し、1つのアプリケーションに関するすべてのウィンドウに対する一般設定を作成します。しかし、"すべて" はすべてのウィンドウを意味するので、プログラムに関連するダイアログ、質問、メッセージ、警告なども含みます。
  • ウィンドウ タイトル - タイトルバーに表示されるウィンドウ識別。大抵の場合、このウィンドウ識別の方法は最初の 2つ (ウィンドウ クラスとウィンドウ プログラム) と併用されるが、必要な場合は個別に使用することもあります。Microsoft Word のように、タイトルバーに表示される文字列と完全に一致するウィンドウを対象ウィンドウとする、または Microsoft Word、Microsoft Excel、Microsoft Outlook などのように Microsoft と一部分が一致するウィンドウを対象ウィンドウとするかを指定することができます。

注意: 対象ウィンドウ制限を更に明確にするため、基準を組み合わせることが可能です。しかし、1度明確にすると対象ウィンドウはすべての制限に準拠しなければならないので注意してください。"・・・と・・・" であり、"・・・または・・・" ではありません。基準を設定すればする程、ウィンドウ指定が正確になります。例えば、ウィンドウ クラス基準をアクティブにし、その値を CabinetWClass に設定すると、その設定は "すべてのフォルダ ウィンドウ" に影響します。加えて、ウィンドウ タイトル基準をアクティブにして、一部分の一致モードを選択し、値を Music に設定すると、マイ ミュージック、ミュージック、ミュージックの一時フォルダなどのように、タイトルに "部分的に一致している文字列を表示している" フォルダのウィンドウのみに影響します。それに反して、完全に一致モードを選択し、値をマイ コンピュータに設定すると、マイ コンピュータ フォルダのウィンドウのみに影響します。

Actual Tools プログラムでは、これらの値はすべて手動で設定が可能ですが、操作が簡単な 2つの "選択するだけで文字列を自動的に入力するツール"、ウィンドウ ファインダ (十字アイコン) とウィンドウ セレクタ (ウィンドウの選択画面) をサポートしています。


All Windows

デフォルト設定

デフォルト設定は、個別設定、および除外に該当しないウィンドウに対する設定です。デフォルト設定では、Actual Tools プログラムの機能の "デフォルト" セットを定義します。ここでは、タイトルボタンのデフォルト セットを追加できます。タイトルボタンは、すべてのウィンドウで利用でき、ウィンドウのシステム メニューを拡張したり、最小化、ロールアップ、終了機能のデフォルトのオプション設定などをします。

ヒント: デフォルト設定を有効にするとデフォルト処理を行い、無効にする (チェックボックスをオフにする) と個別設定処理のみを行います。

適用しても効果がないオプションや、ウィンドウに問題が生じるようなオプションは、デフォルト設定の処理から除外されます。例えば、タイトルバーがないウィンドウ、最小化やサイズ変更できないウィンドウ、配置やサイズを指定しても意味のない任意のウィンドウです。そのため、細かなオプションは個別設定のみで設定可能です。

加えて、システム ウィンドウやサービス ウィンドウには、Actual Tools プログラムの機能を適用しないでください。このようなウィンドウは、バックグラウンドで動作するので、ユーザの操作を目的としていません。動作の妨害やプロパティの変更をしようとした場合に考えられる問題を防ぐために、これらのウィンドウは除外に設定します。


Specific Windows

個別設定

個別設定は、すべてのウィンドウに設定したデフォルト設定とは異なり、ある特定のウィンドウに対する特徴、機能、外観を設定するために使用します。例えば、タイトルボタンの初期設定の変更、サイズや位置の特性変更、ウィンドウに対する最小化機能の変更などです。個別設定の作成後は、Actual Tools プログラムが提供するオプション項目にアクセスすることができます。作成できる個別設定の数に制限はありません。必要がなくなった設定は削除することもできます。

ヒント: 個別設定をしたウィンドウに対して、デフォルト設定を適用したい場合は、個別設定を "無効" (チェックボックスのオフにする) にします。設定を完全に削除せずに、その設定を "解除する" 簡単な方法です。この方法だと、設定を適用した後に無効にしたウィンドウに対して、再度その設定を適用したい場合、初めから設定を作成する必要がありません。

個別設定では、新たなウィンドウを設定する場合は対象ウィンドウの基準を設定する必要があります。デフォルトの設定オプション値を変更する前に、最初の手段として基準を設定することを推奨します。

注意: この一覧での設定内容 ("指示") は、似たような基準を持つ関連ウィンドウに対して、複数の設定が適用されているイベントでは非常に重要です。そのような場合、関連ある設定ルールの詳細な基準を詳細でない基準よりも上位に手動で配置することを推奨します。例えば、Windows® Explorer ウィンドウに対する個別設定のプログラム基準を C:\Windows\explorer.exe (詳細でない基準) に設定し、Explorer ウィンドウのウィンドウ タイトルに対する指定オブジェクトを Music に設定します。Music ウィンドウは、Explorer ウィンドウよりも詳細な基準となります。両方とも Explorer ウィンドウでありながら、片方はタイトルバーに Music と表示し、Explorer ウィンドウのタイトルは汎用の "Explorer" と表示されます。Music ウィンドウを適切に作動させるには、Music ウィンドウに対する設定を汎用の "Explorer" ウィンドウよりも上位に置く必要があります。1度そのような設定を手動で変更した場合、並び替えボタンは使用しないでください。手動で変更したウィンドウが機能しなくなります。


Excluded Windows

除外

除外ウィンドウの目的は、デフォルト設定を適用した場合のウィンドウ、およびウィンドウ セットから適用外にすることです。このカテゴリには、ユーザの操作を必要としないバックグラウンド タスクを処理する "システム ウィンドウ"、およびその他の特別な目的を持つウィンドウが含まれています。要するに、デフォルト設定をオンにすると、Actual Tools プログラムは "除外ウィンドウに含まれない全てのウィンドウ" に対して処理をするわけです。除外ウィンドウ ルールの追加や削除に制限はありません。しかし、このカテゴリに Actual Tools から購入した時にデフォルトとして含まれている除外ウィンドウ ルールを削除する場合には特に注意して下さい。不適当なウィンドウの削除によりシステムが不安定になることが考えられます。

ヒント: 対象ウィンドウに対してデフォルト設定を適用するために、除外ウィンドウ ルールを無効にすることができます。しかし、除外ウィンドウ ルールを "削除" する場合と同様に注意して実行してください。

個別設定のように、除外では Actual Tools プログラムの処理を適用したくないウィンドウに対する対象ウィンドウの基準を設定する必要があります。


How Actual Tools Program Selects a Proper Rule to Apply

Actual Tools プログラムは適用ルールをどのように選択するか

ウィンドウが表示されると即座に Actual Tools プログラムのコントロール センタは次の操作を実行します。

  • 設定モジュールのナビゲーション パネルで発生する順に、表示される個別設定リストを上から下までスキャンします。そして、対象ウィンドウのパネルに表示される対象ウィンドウの基準のいずれかと、そのウィンドウを照合します。無効にした設定 (チェックマークをオフにしている設定) は、スキャンの対象にならないので注意してください。有効かつウィンドウの基準に一致する設定を検索して、これは適切な "対象ウィンドウ" だと見なした場合はすべての処理を停止します。コントロール センタがリストの終端までスキャンし、適切な設定が検出されなかった場合は次の方法を開始します。
  • 除外ウィンドウ リストを順にスキャンし、対象ウィンドウのパネルに表示される対象ウィンドウの基準のいずれかと、そのウィンドウを照合します。無効にした設定 (チェックマークをオフにしている設定) は、スキャンの対象にはならないので注意してください。有効かつウィンドウの基準に一致する設定を検索して、これは適切な "対象ウィンドウ" だと見なした場合は処理を停止し、ウィンドウを変更しません。コントロール センタがリストの終端までスキャンし、適切な設定が検出されなかった場合は最後の方法を開始します。
  • デフォルト設定が有効 になっているか (チェックマークをオンにしている) 確認してください。有効であれば、ウィンドウに対してデフォルト設定が適用されます。そうでなければ、デフォルト設定が無効になっている (チェックマークをオフにしている) ため、ウィンドウに対して何も変更はせずに、処理を完全に終了します。

スキャン中、Actual Tools プログラムのコントロール センタは、次のルールに従い対象ウィンドウの基準を確認します。

  • 有効な基準のみに従う。
  • "基準は有効" (チェックマークをオンにしている) だが、"値が指定されていない" 場合は基準が無効であるとみなす。
  • 対象ウィンドウ全体に対するすべての基準と判断する。スキャン中に複数の基準から 1つも基準を検出できなかった場合のテストは失敗であるとみなす。
  • 一部分の一致に対するウィンドウ クラスやプログラムの値をテストする。
  • 選択した方法 (完全な一致または一部分の一致) に従いウィンドウ タイトルの値をテストする。


User Interface

ユーザ インターフェイス

この章では、すべての Actual Tools プログラムに搭載されている2つの実行モジュールのユーザ インターフェイスについて説明します。

  • コントロール センタ
  • 設定モジュール

重要！この章で説明するのは、Actual Window Manager のみで利用可能な機能全般です。その他の Actual Tools 製品には廉価版が用意されているので、各説明の上部に表示されている 「この機能を搭載しているアプリケーション」 一覧も参照ください。一覧がない場合、その機能はどの製品でも利用できます。


Control Center User Interface

コントロール センタのユーザ インターフェイス

コントロール センタは軽いメモリ常駐型アプリケーションです。必要なメモリ容量を減らすため、ユーザ インターフェイスも軽く、簡単にできています。ユーザ インターフェイスには、システム トレイ アイコン、およびそのコンテキスト メニューも含まれます。

Control Center Context Menu

  • [設定...] メニュー － 設定モジュールの メイン ウィンドウを表示します。
  • [隠し解除]、[すべて隠し解除] メニュー - 隠し解除ツールと関係しています。
  • [ウィンドウ レイアウト] メニュー - ウィンドウ レイアウト ツールと関係しています。
  • [ログ ウィンドウの表示/非表示] メニュー - ウィンドウ監視ログ ツールと関係しています。クリックすると、[Actual Window Manager ログ] ウィンドウを開く、あるいは閉じます。このメニューは、[ログの有効化] がオンになっている場合のみ表示されます。
  • [ヘルプ] メニュー- ヘルプ ウィンドウを表示します。
  • [ヒント] メニュー - よくある質問について説明されているヘルプ画面へのショートカットです。
  • [バージョン情報] メニュー - [バージョン情報] ダイアログを表示します。
  • [アクティベート] メニュー - [アクティベーション] ダイアログを表示します。
  • [停止/開始] メニュー - 一時的にウィンドウに対する処理を停止します。/ウィンドウに対する処理を再開します。
  • [終了] メニュー - ウィンドウに対する処理を停止し、コントロール センタを閉じます。

Actual Tools プログラムのすべての機能 (コントロール センタの トレイ アイコンの外観 を含む) は、設定モジュールのユーザ インターフェイス からアクセスできます。


Configuration Module User Interface

設定モジュールのユーザ インターフェイス

Actual Tools プログラムのすべての機能は、使いやすく直感的な設定モジュールを通して利用可能です。この章では、設定モジュールで作業している時に遭遇するすべてのウィンドウやダイアログ、および設定の意味や目的について説明します。

[設定モジュール] ウィンドウの一覧

  • メイン ウィンドウ - ウィンドウ設定を設定します。
  • [設定インポート] ウィザード - インポート処理を順を追って進むダイアログです。
  • [オプション] ダイアログ - Actual Tools プログラムのオプションを設定します。
  • [ニュースレターについて] ダイアログ - Actual Tools のニュースをメール通知するか否かを設定します。
  • [友人に教える] ダイアログ - 友人に Actual Tools プログラムについてのお知らせメールを送信するときに使用します。
  • [アクティベーション] ダイアログ - アクティベーション キー (購入が必要です) を登録し、Actual Tools プログラムをアクティベートするときに使用します。
  • [バージョン情報] ダイアログ - 著作権、Actual Tools プログラムのバージョン、アクティベート状態について表示します。


Ghost

メイン ウィンドウ

メイン ウィンドウは、以下の機能分野で構成されています。

  • メイン メニュー/ツールバー (1)
  • 左側のナビゲーション パネル (2) には、ウィンドウ設定の全カテゴリが表示されて、それぞれのプロパティにアクセスできます。
  • 右側の設定パネル (3) で表示される内容は、ナビゲーション パネルで選択した項目によって異なり、以下の内容を表示します。
    • デフォルト設定に対するウィンドウ設定プロパティの設定
    • 除外ウィンドウと個別設定の一覧を保持
    • 個別設定項目に対する対象ウィンドウやウィンドウ設定プロパティの変更


Main Menu / Toolbar

メイン メニュー/ツールバー

メイン メニュー バーは、他の Windows® アプリケーションのメニュー バーと同様に、アプリケーションの各機能へのアクセスを提供します。4つのトップレベル メニューがあり、各メニューにはサブメニューが含まれています。

  • [ファイル] メニュー
    • [保存] - 設定を保存します。
    • [インポート] メニュー
      • [設定・・・] - 設定インポート ウィザードを開きます。
    • [設定を送信] メニュー
      • [友人に送信] - 設定ファイルを含む ZIP アーカイブを添付した電子メールを自動で作成します。
      • [技術サポートに送信] - 設定ファイルを含む ZIP アーカイブを添付した電子メールを自動で作成し、「宛先」 にActual Tools Technical Support のアドレスを自動で入力します。
    • [終了] - 設定モジュールを終了します。
  • [ウィンドウ] メニュー
    • [ウィンドウ設定の追加] - 新しい個別設定を追加します。新しい設定のデフォルト名は、Window n (Window 1、Window 2 など) となり、オプションはデフォルト設定用に定義した値に設定されます。
    • [ウィンドウ設定の削除] - 選択した個別設定を削除します。
    • [ウィンドウ設定のコピー] - 個別設定のコピーを新しい設定として追加します。
    • [上に移動] - 選択した設定を1つ上に移動します。
    • [下に移動] - 選択した設定を1つ下に移動します。
    • [昇順並び替え] - 個別設定をアルファベット順の名前で昇順に並び替えます。
    • [降順並べ替え] - 個別設定をアルファベット順の名前で降順に並び替えます。
    • [すべての設定を有効] - すべての個別設定を有効にします。
    • [すべての設定を無効] - すべての個別設定を無効にします。
    • [デフォルトに戻す] - 選択した個別設定のオプションの値をデフォルト設定で定義した値に戻します。
    • [他から設定をコピー...] - 選択した個別設定のオプションの値を[設定の選択] ダイアログで選択した個別設定で定義した値に置き換えます。
  • [アクション] メニュー
    • [Actual Window Managerのロード] - Actual Window Manager のコントロール センタを起動して、既に開いているウィンドウの処理を開始します。
    • [Actual Window Manager のアンロード] - ウィンドウの処理を停止して、Actual Window Manager のコントロール センタを終了します。
    • [Actual Window Managerの開始] - [Actual Window Managerの停止] により停止したウィンドウへの処理を再び有効にします。
    • [Actual Window Managerの停止] - ウィンドウの処理を一時的に無効にします。
    • [オプション...] - [オプション] ダイアログを開きます。
  • [ヘルプ] メニュー
    • [コンテキスト項目] - Actual Window Manager のヘルプを開きます。
    • [Actual Toolsホームページ] - インターネット ブラウザを開き、Actual Tools のサイト、http://www.ActualTools.com/ を表示します。当社、および製品についての詳細はこちらを参照してください。
    • [Actual Window Manager ホームページ] - インターネット ブラウザを開き、Actual Window Manager のホームページを表示します。
    • [ニュースレターについて...] - [メール通知] ダイアログを開きます。
    • [友人に教える] - [友人に教える] ダイアログを開きます。
    • [アクティベーション] - [アクティベーション] ダイアログを開きます。
    • [フルバージョンの購入] - インターネット ブラウザを開き、Actual Window Manager の購入ページを表示します。
    • [バージョン情報] - [バージョン情報] ダイアログを開きます。

メイン ツールバーには、メイン メニューと兼務するコマンドのボタンがあるので、ワンクリックで同じ操作を実行することができます。

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 4, 2007.


Navigation Pane

ナビゲーション パネル

ナビゲーション パネルには次の3つの項目があります。

  • [デフォルト設定] - [デフォルト設定]の左側のチェックボックスをオン/オフにすることで、デフォルト設定を有効/無効にできる。
  • [除外] - 除外ウィンドウ設定の一覧が表示される。
  • [個別設定] - 個別のウィンドウ設定の一覧が表示される。

個別設定の項目には、個別設定を表示するサブ項目の一覧があります。名前の左側の +/- 記号をクリックすることで、個別設定一覧の表示/非表示の切り替えができます。この一覧に表示されている全項目には、名前の左側に チェックボックスがあります。チェックボックスをオン/オフにすることで、設定を有効/無効にします。

項目を選択すると設定パネルに関連オプションが表示されるので、ここで設定やその変更をします。選択方法は以下の通りです。

  • 名前を左クリック、または右クリックする。
  • カーソルを使用する。
  • 名前の最初の数文字を入力すると、その項目にジャンプします。

ナビゲーション パネルを利用すると、個別設定をドラッグして位置を変更することができます。

  • 項目を左クリックしたままにする。
  • 左ボタンを離さずに、置きたい位置にマウスを移動する。
  • 左ボタンを離す。


Excluded Windows Pane

除外ウィンドウ パネル

外ウィンドウ パネルは、以下の機能分野で構成されています。

  • 除外ウィンドウ ツールバー
  • 除外ウィンドウ リスト
  • 対象ウィンドウのパネルには、「リスト」で選択した項目に関連する情報が表示されます。

除外ウィンドウ ツールバーで可能な操作は以下の通りです。

  • [除外ウィンドウ設定の追加] - 除外ウィンドウ リストに新しい項目を追加します。新しい項目には、Excluded Window 1、Excluded Window 2 などのデフォルトのルール名が付きます。
  • [除外ウィンドウ設定の削除] - 除外ウィンドウ リストから選択した項目を削除します。
  • [除外ウィンドウ設定のコピー] - 除外ウィンドウ リストから選択した項目のコピーを新しい項目として追加します。
  • [上に移動] - 選択した項目を1つ上に移動します。
  • [下に移動] - 選択した項目を1つ下に移動します。
  • [昇順並び替え] - 除外ウインドウ リストをアルファベット順の名前で昇順に並び替えます。
  • [降順並び替え] - 除外ウインドウ リストをアルファベット順の名前で降順に並び替えます。
  • [すべての設定を有効] - すべての除外ウィンドウ設定を有効にします。
  • [すべての設定を無効] - すべての除外ウィンドウ設定を無効にします。

除外ウィンドウ リストの各項目は外ウィンドウ設定の詳細を表示しています。リストは次の 4つの列で構成されています。

  • [名前] - 除外ウィンドウ設定の名前を表示します。
  • [ウィンドウ クラス] - 対象ウィンドウ基準セットのウィンドウ クラス基準に与えられる文字列を表示します。
  • [ウィンドウ タイトル] - 対象ウィンドウ基準セットのウィンドウ タイトル基準に与えられる文字列を表示します。
  • [プログラム] - 対象ウィンドウ基準セットのプログラム基準に与えられる文字列を表示します。

このリストに表示されている全項目には、名前の左側にチェックボックスがあります。このチェックボックスをオン/オフにすることで、設定を有効/無効にできます。

項目を選択する際に、対象ウィンドウ パネルに対象ウィンドウの基準値が表示されるので、変更することも可能です。次の方法で項目を選択します。

  • 名前を左クリック、または右クリックする。
  • カーソルを使用する。
  • 名前の最初の数文字を入力すると、その項目にジャンプします。

除外ウィンドウ パネル内で外ウィンドウ設定をドラッグして位置を変更できます。

  • 項目を左クリックしたままにする。
  • 左ボタンを離さずに、置きたい位置にマウスを移動する。
  • 左ボタンを離す。
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 27, 2007.


Specific Windows Pane

個別設定パネル

個別設定パネルは以下の機能分野で構成されています。

  • 個別設定ツールバー
  • 個別設定リスト

個別設定ツールバーは、メイン メニュー/ツールバーのウィンドウ サブメニューと似た機能です。

個別設定リストの各項目は、個別のウィンドウ ルールの詳細を表示しています。リストは以下の 4つの列で構成されています。

  • [名前] - 個別設定の名前を表示します。
  • [ウィンドウ クラス] - 対象ウィンドウ基準セットのウィンドウ クラス基準に与えられる文字列を表示します。
  • [ウィンドウ タイトル] - 対象ウィンドウ基準セットのウィンドウ タイトル基準に与えられる文字列を表示します。
  • [プログラム] - 対象ウィンドウ基準セットのプログラム基準に与えられる文字列を表示します。

このリストの全項目には、名前の左側にチェックボックスがあります。このチェックボックスをオン/オフにすることで、設定を有効/無効にできます。

選択方法は以下の通りです。

  • 名前を左クリック、または右クリックする。
  • カーソルを使用する。
  • 名前の最初の数文字を入力すると、その項目にジャンプします。

個別設定パネルを利用すると、個別のウィンドウ設定をドラッグして (方法は以下を参照してください) 位置の変更が可能です。

  • 項目を左クリックしたままにする。
  • 左ボタンを離さずに、置きたい位置にマウスを移動する。
  • 左ボタンを離す。

項目をダブルクリックすると、その項目がナビゲーション パネルに表示され、その項目のウィンドウ設定のプロパティにアクセスできます。

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 27, 2007.


Target Window Pane

対象ウィンドウ パネル

対象ウィンドウ パネルでは、GUI (グラフィカル ユーザ インターフェイス) 環境で以下の設定ができます。

  • ウィンドウ設定の有効/無効
  • 設定名の変更
  • 適切なウィンドウ、およびウィンドウ セットの測定に使用される基準の選択
  • それらの基準に対する値の定義

最初のチェックボックスで、設定を "有効/無効" にします。個別設定のウィンドウには、このチェックボックスをオンにします。これはナビゲーション パネルに表示されている名前の左側のチェックボックスをオンにすることと同様の作用です。
入力欄で設定名を変更できます。
[...] ボタンをクリックすると、作者や説明のような追加の設定プロパティを変更するためのダイアログ ウィンドウを表示します。

[ウィンドウ クラス] のチェックボックスでは、ウィンドウ クラス基準を "有効/無効" にします。有効にした場合は、その値を活用し対象ウィンドウが測定されます。
[ウィンドウ クラス] の入力欄にウィンドウ クラス基準の文字列を提供します。チェックボックスをオンにした場合のみ、入力欄を使用することができます。

[ウィンドウ タイトル] のチェックボックスでは、ウィンドウ タイトル基準を "有効/無効" にします。有効にした場合は、その値を活用し対象ウィンドウが測定されます。
[ウィンドウ タイトル] の入力欄にウィンドウ タイトル基準の文字列を提供します。チェックボックスをオンにした場合のみ、入力欄を使用することができます。
[完全な一致]、および [一部分の一致] のラジオボタンでは、入力した文字列に対してどちらのモードを使用するかを選択します。

[プログラム] のチェックボックスは、プログラム基準を "有効/無効" にします。有効にした場合は、その値を活用し対象ウィンドウが測定されます。
[プログラム] の入力欄にプログラム基準の文字列を提供します。チェックボックスをオンにした場合のみ、入力欄を使用することができます。
[...] ボタンをクリックすると、Windows® 標準の [ファイルを開く] ダイアログが表示されるので、必要な実行ファイルを選択します。

[一覧からウィンドウを選択] ボタンを押すと、[ウィンドウ セレクタ (ウィンドウを選択する)] ダイアログが表示されます。
十字アイコンは、ウィンドウ ファインダを表しています。
ウィンドウ セレクタ、またはウィンドウ ファインダを利用すると、簡単で正確に、そして自動的に基準値を入力することができます。

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 27, 2007.


Window Selector

ウィンドウ セレクタ (ウィンドウの選択画面)

ウィンドウ セレクタは、対象ウィンドウの基準欄に正確な値を自動的に入力してくれるツールです。[一覧からウィンドウを選択] ボタンをクリックすると、ウィンドウを選択するための画面が表示されます。

[ウィンドウを選択する] ダイアログ ボックス

現在実行中のウィンドウの一覧 (最小化されているウィンドウも含む) が表示されます。次の4つの項目で構成されています。

  • ウィンドウ タイトル - 現在のウィンドウ タイトル。アプリケーションにより定義されているアプリケーション名、および関連情報 (ドキュメント名や現在のプログラムの状態など) を表示します。
  • プログラム - アプリケーションの実行ファイル名
  • パス名 - アプリケーションの実行ファイルへのパス
  • ウィンドウ クラス - Windows® が使用しているウィンドウ クラス名

ウィンドウ セレクタで必要な値を取得するには、以下の手順に従い操作します。

  • 対象としたいアプリケーションを起動し、ウィンドウを開く。
  • [一覧からウィンドウを選択] ボタンをクリックして、ウィンドウ セレクタを開く。
  • 左クリック、またはカーソル キーを使用して対象としたいウィンドウを選択する。
  • [OK] ボタンをクリックする。
  • 対象ウィンドウ パネルで基準欄を確認すると、値が入力されてることがわかります。

[ウィンドウを点滅させる] ボタンを使用すると、正しいウィンドウを選択したかを確認できます。

  • 設定対象のウィンドウが開いているか確認する。
  • 一覧からそのウィンドウを選択する。
  • [ウィンドウを点滅させる] ボタンをクリックする。
  • 選択したウィンドウ ボーダーとタスクバー ボタンが少しの間点滅する。

ウィンドウ ファインダ (十字カーソル) を使用して、値を取得することも可能です。

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 27, 2007.


Window Finder

ウィンドウ ファインダ (十字カーソル)

ウィンドウ ファインダ (十字カーソル) は、対象ウィンドウの基準欄に正確な値を自動的に入力してくれるツールです。対象ウィンドウ パネルに表示される小さな "十字カーソル" です。ウィンドウ ファインダで必要な値を取得するには、以下の手順に従い操作します。

  • 対象としたいウィンドウを開き、デスクトップに表示する。
  • この画像の上にマウス ポインタを乗せる。 Window Finder
  • マウスの左ボタンを押したままにする。(カーソルが Window Finder Cursor に変わります。)
  • 対象としたいウィンドウの上にカーソルをドラッグ (左ボタンを押したままマウスを動かす) して、左ボタンを離す。
  • Actual Tools プログラムの設定モジュールに戻り、対象ウィンドウ パネルの基準欄を確認すると、値が入力されていることがわかります。

ウィンドウ セレクタ (ウィンドウの選択画面) を使用して値を取得することも可能です。


Window Rule Properties

ウィンドウ設定のプロパティ

ウィンドウ設定のプロパティでは、どのウィンドウに対してどのような時に何を操作するかを設定します。すべてのプロパティは、基本的な目的ごとに分類されています。プロパティの数と構成は製品によって異なります。Actual Window Manager は、次のプロパティで構成されています。

  • Startup icon スタートアップのプロパティシート
  • Closing icon 閉じる時のプロパティシート
  • Position icon ポジションのプロパティシート
  • Size icon サイズのプロパティシート
  • Minimizing icon 最小化のプロパティシート
  • Rollup icon ロールアップのプロパティシート
  • Transparency icon 透過度のプロパティシート
  • Ghost icon ゴーストのプロパティシート
  • Priority icon 優先度のプロパティシート
  • Title Buttons icon タイトルボタンのプロパティシート
  • Window Menu icon ウィンドウ メニューのプロパティシート
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 24, 2007.


Title Buttons Property Sheet

Title Buttons icon タイトルボタンのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Title Buttons

タイトルボタンのプロパティシートでは、ウィンドウのタイトルバーに追加するボタンの設定、および関連オプションの設定をします。

Title Buttons Property Sheet

タイトル ボタンで利用可能なアクション グループ - アクション リストとアクション オプション グループで構成されています。アクション リストには、対象ウィンドウのタイトルバーに表示されるタイトルボタン、および各タイトルボタンの有効/無効の切り替えをするための "チェックボックス" があります。(ツールバー ボタンを使用すると、1度にすべてのタイトルボタンを有効/無効にすることができます。)アクション カラムにはアクション名、ステータス カラムにはアクション パラメータが存在する場合、その現在の状態がそれぞれ表示されます。アクション パラメータの調整をするには、リストからアクションを選択します。下部のアクション オプション グループに、変更可能なアクション パラメータが表示されます。(選択したアクションに設定可能なパラメータがない場合は、「追加オプションなし」と表示されます。)

タイトルボタンから実行することが可能なアクションは以下の通りです。

  • [新最小化] - チェックすると、対象ウィンドウのタイトルバーに [新最小化] タイトルボタンを表示します。最小化モード グループにて、タイトルボタンを左クリックした場合の対象ウィンドウの最小化先を選択できます。また、このボタンを右クリックするとコンテキスト メニューを呼び出します。

    メモ: このオプションは最小化のプロパティシートからも変更できます。

  • [ロールアップ] - チェックすると、対象ウィンドウのタイトルバーに [ロールアップ] タイトルボタンを表示します。

    メモ: このオプションはロールアップのプロパティシートからも変更できます。

  • [手前に表示する] - チェックすると、対象ウィンドウのタイトルバーに [手前に表示する] タイトルボタンを表示します。

  • [最背面に移動] - チェックすると、対象ウィンドウのタイトルバーに [最背面に移動] タイトルボタンを表示します。

  • [透過化] - チェックすると、対象ウィンドウのタイトルバーに [透過化] タイトルボタンを表示します。同設定グループにて、このボタンを左クリックした際の、対象ウィンドウに適用する透過度を設定できます。また、このボタンを右クリックするとコンテキスト メニューを呼び出します。

    メモ: このオプションは透過度のプロパティシートからも変更できます。

  • [揃える] - チェックすると、対象ウィンドウのタイトルバーに [揃える] タイトルボタンを表示します。ウィンドウを揃えるのプルダウン メニューから、このボタンを左クリックした際の対象ウィンドウに適用する配置位置を選択できます。また、このボタンを右クリックするとコンテキスト メニューを呼び出します。

    メモ: このオプションはポジションのプロパティシートからも変更できます。

  • [サイズ変更] - チェックすると、対象ウィンドウのタイトルバーに [サイズ変更] タイトルボタンを表示します。新規ウィンドウ サイズ グループから、このボタンを左クリックした際の対象ウィンドウに適用するウィンドウ サイズを選択できます。また、このボタンを右クリックするとコンテキスト メニューを呼び出します。

    メモ: このオプションはサイズのプロパティシートからも変更できます。

  • [プログラムの優先度を変更] - チェックすると、対象ウィンドウのタイトルバーに [プログラムの優先度を変更] タイトルボタンを表示します。新しいプログラム優先度のプルダウン メニューから、このボタンを左クリックした際の対象ウィンドウのアプリケーションに適用する優先度を選択できます。また、このボタンを右クリックするとコンテキスト メニューを呼び出します。

    メモ: このオプションは優先度のプロパティシートからも変更できます。

  • [ゴースト] - チェックすると、対象ウィンドウのタイトルバーに [ゴースト] タイトルボタンを表示します。

    メモ: このオプションはゴーストのプロパティシートからも変更できます。

  • [ディスプレイへ移動] - チェックすると、対象ウィンドウのタイトルバーに [ディスプレイへ移動] タイトルボタンを表示します。また、このボタンを右クリックするとコンテキスト メニューを呼び出します。

  • [貼り付け] - チェックすると、対象ウィンドウのタイトルバーに [貼り付け] タイトルボタンを表示します。

  • [コピー] - チェックすると、対象ウィンドウのタイトルバーに [クリップボードにコピー] タイトルボタンを表示します。

オプション グループ - タイトルボタン トリガ オプションを調整します。現在利用可能なオプションは以下の通りです。

  • ボタンの位置を移動のスピンコントロールを使用して、ウィンドウのタイトルバーに標準ボタンと比較して正確に追加ボタンを配置します。Actual Tools プログラムは標準ボタンの数 (と適切なシフト値) を自動的に検出します。独自の追加ボタンがあるようなアプリケーションなどには、この値を手動で設定するほうが便利な場合もあります。このシフト値は、正数 (左へシフト)、負数 (右へシフト)、またはゼロ (自動配置) から選択できます。
    メモ: 負数を設定する際は、間違った値を入力してしまうと標準ボタンと重なり、ボタンを使用することができなくなってしまうので注意してください。一般的にボタンの位置を移動のオプションは、自動配置に問題がある場合のみ使用してください。問題がない場合は、そのまま変更をしないことを推奨します。
  • [グループ ボタンを表示] のチェックボックス - オンにすると、対象ウィンドウのタイトルバーに [現在無効化されたボタン] タイトルボタンを表示します。


Window Menu Property Sheet

Window Menu icon ウィンドウ メニューのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Menu

ウィンドウ メニューのプロパティシートでは、対象ウィンドウのシステム ウィンドウ メニューに追加するメニューを定義します。

Window Menu Property Sheet

システム ウィンドウ メニューで利用可能なアクション グループ - アクション リストとアクション オプション グループで構成されています。アクション リストには、ウィンドウ メニュー/サブメニューを表す項目、および各項目を有効/無効にするためのチェックボックスがあります。有効/無効の切り替えをすることで、システム ウィンドウ メニューにその項目を表示する/しないの切り替えをします。(ツールバー ボタンを使用すると、すべてのウィンドウ メニューを有効/無効にすることができます。)アクション カラムにはアクション名、ステータス カラムにはアクション パラメータが存在する場合、その現在の状態がそれぞれ表示されます。アクション パラメータの調整をするには、リストからアクションを選択します。下部のアクション オプション グループに、変更可能なアクション パラメータが表示されます。(選択したアクションに設定可能なパラメータがない場合は、「追加オプションなし」と表示されます。)

ウィンドウ メニューから実行可能なアクションは以下の通りです。

  • [新最小化] - チェックすると、対象ウィンドウのシステム ウィンドウ メニューに [新最小化] のサブメニューを追加します。

    メモ: このオプションは最小化のプロパティシートからも変更できます。

  • [ロールアップ] - チェックすると、対象ウィンドウのシステム ウィンドウ メニューに [ウィンドウ ロールアップ] メニューを追加します。

    メモ: このオプションはロールアップのプロパティシートからも変更できます。

  • [手前に表示する] - チェックすると、対象ウィンドウのシステム ウィンドウ メニューに [常に手前に] メニューを追加します。

  • [最背面に移動] - チェックすると、対象ウィンドウのシステム ウィンドウ メニューに [最背面に移動] メニューを追加します。

  • [透過化] - チェックすると、対象ウィンドウのシステム ウィンドウ メニューに [透過度] のサブメニューを追加します。アクション オプションに表示される GUI (グラフィカル ユーザ インターフェイス) を使用して、透過度を定義できます。定義した透過度は、[透過度] のサブメニューから選択して対象ウィンドウに適用することができます。

    メモ: このオプションは透過度のプロパティシートからも変更できます。

  • [揃える] - チェックすると、対象ウィンドウのシステム ウィンドウ メニューに [揃える] のサブメニューを追加します。

    メモ: このオプションはポジションのプロパティシートからも変更できます。

  • [サイズ変更] - チェックすると、対象ウィンドウのシステム ウィンドウ メニューに [ウィンドウのサイズ変更] メニューを追加します。アクション オプションに表示される新規ウィンドウ サイズグループで、ウィンドウ サイズを定義できます。定義したサイズは、[ウィンドウのサイズ変更] のサブメニューから選択して対象ウィンドウに適用することができます。

    メモ: このオプションはサイズのプロパティシートからも変更できます。

  • [プログラムの優先度を変更] - チェックすると、対象ウィンドウのシステム ウィンドウ メニューに [優先度] のサブメニューを追加します。

    メモ: このオプションは優先度のプロパティシートからも変更できます。

  • [ゴースト] - チェックすると、対象ウィンドウのシステム ウィンドウ メニューに [ゴースト] メニューを追加します。

    メモ: このオプションはゴーストのプロパティシートからも変更できます。

  • [ディスプレイへ移動] - チェックすると、対象ウィンドウのシステム ウィンドウ メニューに [ディスプレイへ移動] のサブメニューを追加します。


Transparency Property Sheet

Transparency icon 透過化のプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Transparent Window

透過化のプロパティシートは、透過アクションに関するオプションで構成されています。

Transparency Property Sheet

[起動時] のチェックボックス - オンにすると、スタートアップで起動した時に対象ウィンドウを定義レベルに透明化します。

[非アクティブ ウィンドウ時] のチェックボックス - オンにすると、ウィンドウがアクティブ状態になった時に、定義レベルに過度を変更します。

[移動時] のチェックボックス - オンにすると、ウィンドウをドラッグして位置を変更している間、対象ウィンドウを一時的に定義レベルに明化します。移動が完了すると、元の透過度に戻ります。

[サイズ調整時] のチェックボックス - ウィンドウをサイズ変更している間、対象ウィンドウを一時的に定義レベルに明化します。サイズ変更が完了すると、元の透過度に戻ります。

[マウスが上にある時] のチェックボックス - オンにすると、マウス ポインタがウィンドウの上にある間、対象ウィンドウを一時的に定義レベルに明化します。マウス ポインタが対象ウィンドウの外に出ると、元の透過度に戻ります。以下の項目で待機時間を設定します。

  • [切り替わる時に要する時間] のチェックボックス - オンにすると、対象ウィンドウが設定された透過度に切り替わるまでに待機する時間をミリ秒 (整数) で入力できるようになります。
  • [元に戻るまでの時間] のチェックボックス - オンにすると、対象ウィンドウが元の透過度に戻るまでに待機する時間をミリ秒 (整数) で入力欄に入力できるようになります。

[タイトルボタンから] のチェックボックス - オンにすると、対象ウィンドウのタイトルバーに [透明化] タイトルボタンを追加します。

[ウィンドウ メニュー アイテムから] のチェックボックス - オンにすると、ウィンドウのシステム メニューに [透明化] のサブメニューを追加します。

[タイトルバーのダブルクリックから] のチェックボックス - オンにすると、タイトルバーをダブルクリックして、対象ウィンドウを定義レベルに明化できるようにします。

透過度アドイン グループ - 透明化と共に以下のアクションを実行することができます。

  • [手前に表示する] のチェックボックス - オンにすると、透過度が適用されている間、対象ウィンドウを手前に表示します。
  • [ゴースト] のチェックボックス - オンにすると、透過度が適用されている間、対象ウィンドウをゴースト化します。

メモ: 一時トリガとして透過度が変更された場合は、アドオン "手前に表示する" は実行されません。

透過度の調整方法

次の GUI (グラフィカル ユーザ インターフェイス) を利用して透過度を調整できます。

Transparency Level Controls

  • 透過度のスピンコントロール - 値を直接入力、または増加/減少の矢印をクリックして設定する。
  • 透過度のスライダ - スライダをドラッグして値を選択する。
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 7, 2007.


Ghost Property Sheet

Ghost icon ゴーストのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Transparent Window

ゴーストのプロパティシートは、ゴースト アクションに関するオプションで構成されています。

Ghost Property Sheet;

自動ウィンドウゴースト化グループ - 対象ウィンドウのゴースト状態の自動管理を設定します。

  • [しない] のラジオボタン - オンにすると、ウィンドウを開いた時にゴースト化しません。
  • [常にする] のラジオボタン - オンにすると、ウィンドウを開いた時にゴースト化します。
  • [非アクティブ ウィンドウ時] のラジオボタン - オンにすると、ウィンドウが非アクティブ/アクティブ状態になった時にゴースト/非ゴーストします。

ゴースト状態を手動で切り替えグループ - ゴースト状態の手動操作のオプションを有効にするためのチェックボックスがあります。

  • [タイトル ボタンから] のチェックボックス - オンにすると、対象ウィンドウのタイトルバーに [ゴースト] タイトルボタンを追加します。
  • [ウィンドウ メニュー アイテムから] のチェックボックス - オンにすると、対象ウィンドウのシステム メニューに[ゴースト] メニューを追加します。


Minimizing Property Sheet

Minimizing icon 最小化のプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Minimizer

最小化のプロパティシートでは、対象ウィンドウに対する様々な最小化のオプションを管理します。

Minimizing Property Sheet

[開始時] のチェックボックス - オンにすると、対象ウィンドウを開いた時にウィンドウを自動的に最小化します。

[非アクティブ時] のチェックボックス - オンにすると、ウィンドウが非アクティブ状態になった時、対象ウィンドウを自動的に最小化します。[最小化前に遅延] のチェックボックスをオンにすると、最小化するまでに掛かる時間をミリ秒単位 (整数値) で入力することができます。

[タイトルボタンから] のチェックボックス - オンにすると、対象ウィンドウのタイトルバーに[新最小化] のタイトルボタンを追加します。

[ウィンドウ メニュー アイテムから] のチェックボックス - オンにすると、対象ウィンドウのシステム メニューに[新最小化] のサブメニューを追加します。

[閉じるボタンのクリックから] のチェックボックス - オンにすると、標準の [閉じる (X)] ボタンを左クリックした際に、対象ウィンドウを閉じる代わりに最小化します。

最小化モード グループ - 対象ウィンドウを最小化 ([最小化] タイトルボタンのクリックから、ウィンドウ メニューの [最小化] コマンドの選択から、あるいはアプリケーションによって自動的に対象ウィンドウが最小化されたときなど) した際に、どこへ最小化するのかを選択するためのラジオボタンが表示されています。

  • [タスクバー] のラジオボタン - 従来通りに対象ウィンドウをタスクバーに最小化します。
  • [トレイ] のラジオボタン - 対象ウィンドウをシステム トレイに最小化します。
  • [画面] のラジオボタン - 対象ウィンドウを画面に最小化します。

システムトレイ アイコンモード グループ - システム トレイ アイコンの動作を設定するためのラジオボタンが表示されています。

  • [切り替え] のラジオボタン - 対象ウィンドウを最小化した際にシステム トレイにアイコンを表示し、左クリックでウィンドウを元に戻すと、アイコンが表示されなくなります。
  • [常在] のラジオボタン - ウィンドウが存在する間は (開いてあっても、最小化されていても) 常にアイコンが表示されるので、このアイコンを最小化機能の切り替えボタン (左クリックで最小化/元に戻すの切り替えが可能） として使用できます。
  • [アイコン無し] のラジオボタン - 対象ウィンドウを最小化してもシステム トレイにアイコンは表示されません。対象ウィンドウ、および独自のアイコンがトレイに存在するアプリケーション (MS Outlook 2003など) を完全に隠したい場合に使用します。

画面アイコン オプション グループ - 画面アイコンの動作を定義するためのチェックボックスが表示されています。

  • [常在] のチェックボックス - オンにすると、対象ウィンドウが存在する間は (開いてあっても、最小化されていても) 常にアイコンが表示されるので、このアイコンを最小化機能の切り替えボタン (左のダブルクリックで切り替えが可能) として使用できます。
  • [大きいアイコン] のチェックボックス - オンにすると、画面アイコンを拡大します。(大きいアイコンは見た目も良く、画面上で探しやすくなります。)
  • [手前に表示] のチェックボックス - オンにすると、他のウィンドウの手前に画面アイコンを表示します。

[自己復元を拒否] のチェックボックス - オンにすると、最小化したウィンドウの自動復元を防ぎ、アイコンをクリックして手動で元に戻すまで最小化を保ちます。


Size Property Sheet

Size icon サイズのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

サイズのプロパティシートでは、対象ウィンドウのサイズ変更方法を設定することができます。

Size Property Sheet

[開始時] のチェックボックス - オンにすると、対象ウィンドウを開いた時に設定したサイズに変更します。

[固定する最小サイズ] のチェックボックス - オンにすると、対象ウィンドウが定義サイズよりも小さくならないようにします。

[固定する最大サイズ] のチェックボックス - オンにすると、対象ウィンドウが定義サイズよりも大きくならないようにします。

[タイトルボタンから] のチェックボックス - オンにすると、対象ウィンドウのタイトルバーに[サイズ変更] タイトルボタンを追加します。このボタンを左クリックすると対象ウィンドウを定義したサイズに変更し、右クリックするとコンテキスト メニューを表示します。

[ウィンドウ メニュー アイテムから] のチェックボックス - オンにすると、対象ウィンドウのシステム メニューに[サイズ変更] のサブメニューを追加します。

[枠の右クリックから] のチェックボックス - オンにすると、対象ウィンドウの端や角を右クリックすることで、ウィンドウのストレッチを可能します。

[終了時サイズ保存] のチェックボックス - オンにすると、対象ウィンドウを閉じる時のサイズを保存し、次回そのサイズで対象ウィンドウを表示します。

別のディスプレイに移動後グループ - 対象ウィンドウを別のディスプレイに移動した時のウィンドウ サイズを設定するためのラジオボタンがあります。

  • [そのまま] のラジオボタン - ウィンドウ サイズを変更しません。ディスプレイの解像度がすべて同じ場合、サイズ調整する必要がないので便利です。
  • [縦横比を保持] のラジオボタン - 対象ディスプレイが移動前のディスプレイより低い/高い解像度の場合、ウィンドウが適当なサイズに縮小/拡大されるので、どのディスプレイでも同等のスクリーン スペースに収まります。
  • [指定ディスプレイに適合] のラジオボタン - ウィンドウを対象ディスプレイの領域に合わせる。ウィンドウが境界を越えるような場合は、指定ディスプレイの左上に合わせます。それでも境界を越えてしまう場合は、サイズを縮小します。

ウィンドウ サイズの調整方法

以下の GUI (グラフィカル ユーザ インターフェイス) を利用してウィンドウ サイズを設定することができます。

  • [横幅] のチェックボックス - オンにすると、指定した横幅で定義したサイズを適用します。
  • [横幅] の入力欄 - ここに選択した単位に沿った値 (ゼロ以上の整数) を入力します。
  • [横幅] のプルダウン メニュー - 入力欄に入力した値に対する単位 (ピクセル、現在のディスプレイの横幅に対するパーセンテージ、デスクトップ全体の横幅に対するパーセンテージ) を選択します。シングル ディスプレイ環境の場合には、「現在のモニタ」と「デスクトップ」で違いはありません。
  • [高さ] のチェックボックス - オンにすると、指定した高さで定義したサイズを適用します。
  • [高さ] の入力欄 - ここに選択した単位に沿った値 (ゼロ以上の整数) を入力します。
  • [高さ] のプルダウン メニュー - 入力欄に入力した値に対する単位 (ピクセル、現在のディスプレイの高さに対するパーセンテージ、デスクトップ全体の高さ横幅に対するパーセンテージ) を選択します。シングル ディスプレイ環境の場合には、「現在のモニタ」と「デスクトップ」で違いはありません。
  • [ウィンドウ ファインダ] アイコン - この十字アイコンを利用して、横幅と高さの値をウィンドウから取得できます。
  • [定義サイズ] ボタン - 押すと、サイズ変更オプションであらかじめ定義されているサイズの一覧から選択することができます。
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 24, 2007.


Position Property Sheet

Position icon ポジションのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

ポジションのプロパティでは、対象ウィンドウの配置を細かく設定できます。

Position options available for a particular Specific Window rule
個別ウィンドウのオプション
Position options available for the All Windows rule
デフォルト ウィンドウのオプション

[開始時に移動] のチェックボックス - オンにすると、対象ウィンドウを開いた時に、そのウィンドウを指定したディスプレイに移動します。プルダウン メニューには、現在システムに接続してあるディスプレイの一覧が表示されるので、移動先のディスプレイを選択します。

[開始時揃える] のチェックボックス - オンにすると、対象ウィンドウを開いた時に自動的に指定位置に配置します。プルダウン メニューから配置位置を選択します。[ポジション] グループでは、ウィンドウ配置直後に適用するシフト値を定義します。

  • [横調整] のプルダウン メニュー - 「入力欄」に入力する値に対する絶対的 (ピクセル)、または相対的 (ディスプレイ/デスクトップに対する比率) な単位を選択します。
  • [横調整] の入力欄 - 配置する位置 (左上、中中など) から横にシフトさせるために、プルダウン メニューで選択した単位に沿った値を指定します。整数 (正数、または負数、シフトしない場合はゼロ) を入力します。
  • [縦調整] のプルダウン メニュー - 「入力欄」で入力する値に対して絶対的 (ピクセル)、または相対的 (ディスプレイ/デスクトップに対する比率) な単位を選択します。
  • [縦調整] の入力欄 - 配置した位置 (左上、中中など) から縦にシフトさせるためにプルダウン メニューで選択した単位に沿った値を指定します。整数 (正数、または負数、シフトしない場合はゼロ) を入力します。
  • [ウィンドウ ファインダ] アイコン - 十字アイコンをドラッグして現在の位置を読み取り、シフト値を取得します。

[ウィンドウ分割を再配置] のチェックボックス - オンにすると、マルチディスプレイ環境において、複数のディスプレイ間で表示されてしまうウィンドウを開く時に指定したディスプレイ、または指定したデスクトップ上のポイントへ自動的に配置します。[再配置モード] グループでは対象ウィンドウの再配置方法を定義します。

  • [ディスプレイの中央] のラジオボタン - 分割ウィンドウを以下に定義したオプションに沿って指定したディスプレイに移動したい場合に利用します。
    • [マウスポインタ付き] のラジオボタン - 分割ウィンドウを現在マウスポインタがあるディスプレイに移動します。
    • [親ウィンドウ] のラジオボタン - 分割ウィンドウを親ウィンドウ (通常アプリケーションのメイン ウィンドウ) の表示されているディスプレイに移動する。
    • [ディスプレイに再配置] のラジオボタン - 分割ウィンドウをプルダウン メニューで選択したディスプレイに再配置する。
  • [中央をポイントへ] のラジオボタン - このオプションは Windows® Terminal Server のマルチディスプレイ クライアントに接続している場合に利用します。関連する設定グループにて、デスクトップの特定のポイントを定義できます。その定義したポイントにウィンドウの中央が一致するように配置されます。[親ウィンドウ (存在する場合) の中央] のチェックボックスをオンにすると、親ウィンドウの領域内で中央に配置される。

[制限設定] のチェックボックス - オンにすると、対象ウィンドウに対する表示領域制限を有効にします。[ウィンドウ枠制限] グループでは、手動、またはウィンドウ ファインダ (十字アイコン) を使用して4箇所のウィンドウ ボーダーに対して制限を設定します。[表示] ボタンを押すと指定した制限に沿った配置可能な領域を表示します。

[タイトルボタンから] のチェックボックス - オンにすると、対象ウィンドウのタイトルバーに[揃える] タイトルボタンを追加します。

[ウィンドウ メニュー アイテムから] のチェックボックス - オンにすると、対象ウィンドウのシステム メニューに[揃える] のサブメニューを追加します。

[終了時に位置を保存] のチェックボックス - オンにすると、対象ウィンドウを閉じる時の位置を保存し、次回その位置に対象ウィンドウを表示します。


Rollup Property Sheet

Rollup icon ロールアップのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Rollup

ロールアップのプロパティシートは、ロールアップに関するオプションで構成されています。

Rollup Property Sheet

[非アクティブ時にロールアップ] のチェックボックス - オンにすると、対象ウィンドウが非アクティブ状態になった時、自動的にロールアップします。[ロールアップ前に遅延] のチェックボックスをオンにすると、非アクティブ状態になってからロールアップするまでの時間差をミリ秒単位 (整数値) で入力することができます。

[アクティブ時にロールを戻す] のチェックボックス - オンにすると、対象ウィンドウがアクティブ状態になった時、自動的にアンロールします。[アンロール前に遅延] のチェックボックスをオンにすると、アクティブ状態になってからアンロールするまでの時間差をミリ秒単位 (整数値) で入力することができます。

[マウスが上に移動している間アンロール] のチェックボックス - オンにすると、マウスがウィンドウの上にある間は、ロールアップされた状態のウィンドウを一時的にアンロールします。対象ウィンドウからマウス ポインタが外れると、再度ロールアップされます。以下の項目で待機時間を設定します。

  • [アンロール前に遅延] のチェックボックス - オンにすると、対象ウィンドウを一時的にアンロールするまでの時間差をミリ秒単位 (整数値) で入力することができます。
  • [ロールアップ前に遅延] のチェックボックス - オンにすると、対象ウィンドウを再度ロールアップするまでの時間差をミリ秒単位 (整数値) で入力することができます。

[タイトルボタンから] のチェックボックス - オンにすると、対象ウィンドウのタイトルバーに[ロールアップ] タイトルボタンを追加します。

[ウィンドウ メニュー アイテムから] のチェックボックス - オンにすると、対象ウィンドウのシステム メニューに[ロールアップ] メニューを追加します。

[タイトルバーのダブルクリックから] のチェックボックス - オンにすると、タイトルバーをダブルクリックして、ウィンドウをロールアップできるようになります。

ロールアップ アドオン グループ - ロールアップと共に以下のアクションを実行することができます。

  • [手前に表示する] のチェックボックス - オンにすると、ロールアップされている間、対象ウィンドウを手前に表示します。


Closing Property Sheet

Closing icon 閉じる時のプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

閉じる時のプロパティシートでは、閉じるに関する様々なオプションを管理します。

Closing Property Sheet

[起動時] のチェックボックス - オンにすると、対象ウィンドウを開くと同時に閉じます。[閉じるときに要する時間] のチェックボックスをオンにすると、対象ウィンドウが閉じるまでに掛かる時間をミリ秒単位 (整数値) で入力することができます。

[非アクティブ時] のチェックボックス - オンにすると、対象ウィンドウが非アクティブ状態になった時、ウィンドウを自動的に閉じます。[閉じるときに要する時間] のチェックボックスをオンにすると、対象ウィンドウが閉じるまでに掛かる時間をミリ秒単位 (整数値) で入力することができます。

[閉じるボタンの右クリックから] のチェックボックス - オンにすると、標準の [閉じる (X)] ボタンを右クリックすることで対象ウィンドウを閉じる機能を有効にします。

[ウィンドウを間違って閉じることを防止] のチェックボックス - オンにすると、間違ってウィンドウを閉じることを防止します。以下のラジオボタンを使用して防止方法を選択します。

  • [閉じるボタンの左クリックを無視] のラジオボタン - オンにすると、標準の [閉じる] ボタンの左クリックを無視します。
  • [終了の確認] のラジオボタン - オンにすると、ウィンドウを閉じようとする度に確認ダイアログを表示します。


Priority Property Sheet

Priority icon 優先度のプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

優先度のプロパティは、プログラムの優先度の変更に関するオプションで構成されています。

Priority Property Sheet

[開始時] のチェックボックス - オンにすると、対象ウィンドウを起動した時に、あらかじめ指定しておいた優先度を適用します。プルダウン メニューから優先度の値を選択できます。

[非アクティブ時] のチェックボックス - オンにすると、対象ウィンドウが非アクティブ状態になると、あらかじめ指定しておいた優先度を適用します。プルダウン メニューから優先度の値を選択できます。対象ウィンドウが再度アクティブ状態になると、元の優先度に戻ります。

[最小化時] のチェックボックス - オンにすると、対象ウィンドウが最小化されると、あらかじめ指定しておいた優先度を適用します。プルダウン メニューから優先度の値を選択できます。対象ウィンドウを元に戻すと、元の優先度に戻ります。

[タイトルボタンから] のチェックボックス - オンにすると、ウィンドウのタイトルバーに [優先度変更] タイトルボタンを追加します。

[ウィンドウ メニュー アイテムから] のチェックボックス - オンにすると、ウィンドウのシステム メニューに [優先度] のサブメニューを追加します。


Startup Property Sheet

Startup icon スタートアップのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

スタートアップのプロパティシートでは、ウィンドウの起動と共に実行するアクションの選択、および設定をすることで、対象ウィンドウの初期状態を定義できます。

Startup Property Sheet

ウィンドウの開始時に利用可能なアクション グループ - アクションのリスト、およびアクション オプション グループで構成されています。アクション リストには、アクション項目と各アクションの有効/無効の切り替えをするためのチェックボックスが表示されます。(ツールバー ボタンを使用すると、すべての項目を有効/無効にすることができます。)アクション カラムにはアクション名、ステータス カラムにはアクション パラメータが存在する場合、その現在の状態がそれぞれ表示されます。アクション パラメータの調整をするには、リストからアクションを選択すると下部のアクション オプションに変更可能なアクション パラメータが表示されます。(選択したアクションに設定可能なパラメータがない場合は、「追加オプションなし」と表示されます。)

メモ: アクションはリストに表示されている順番で実行されます。

以下のアクションは起動時に実行することができます。

  • [プログラムの優先度を変更] - チェックすると、対象ウィンドウが属するアプリケーションの実行優先度を変更できます。アクション オプションに表示される [新しいプログラム優先度] のプルダウン メニューから優先度を選択できます。

    メモ: このオプションは優先度のプロパティシートからも変更できます。

  • [プログラムの親和力の変更] - チェックすると、対象ウィンドウが属するアプリケーションのプロセッサ セットを変更できます。アクション オプションに表示されるチェックボックスをオンにすることで、対象ウィンドウが属するアプリケーションを実行するプロセッサを定義することができます。(注意: 最低 1つは選択しなければなりません。)

  • [ゴースト] - チェックすると、対象ウィンドウをゴースト化します。

    メモ: このオプションはゴーストのプロパティシートからも変更できます。

  • [マウス ポインタを隠す] - チェックすると、マウス ポインタが対象ウィンドウの上にあるときはマウス ポインタを隠します。

  • [タスクバーに非表示] - チェックすると、対象ウィンドウのアプリケーションを示すボタンを Windows® タスクバーに表示しません。

  • [透過化」 - チェックすると、対象ウィンドウを透明化します。アクション オプションに表示される GUI （グラフィカル ユーザ インターフェイス) を使用して、透過度を指定できます。

    メモ: このオプションは透過度のプロパティシートからも変更できます。

  • [ウィンドウ タイトルを変更] - チェックすると、指定した値に対象ウィンドウのデフォルトのタイトルを置き換えることができます。アクション オプションに表示される [オプションの変更] の入力欄を使用して、ストリング値を指定できます。[残る] のチェックボックス - オンにすると、指定した文字列から別のタイトルへの変更ができないようにします。

  • [ディスプレイへ移動] - チェックすると、マルチディスプレイの場合、対象ウィンドウを指定のディスプレイに配置します。アクション オプションに表示される [指定ディスプレイ] のプルダウン メニューから、どのディスプレイに対象ウィンドウを表示するかを指定できます。

    メモ: このオプションはポジションのプロパティシートからも変更できます。

  • [開く] - チェックすると、対象ウィンドウを開くときに適切な状態 (標準、最小化、および最大化) で開きます。アクション オプションに表示される [ウィンドウの開始設定] のプルダウン メニューから対象ウィンドウの外観を指定できます。

    メモ: このアクションを有効にして [最小ウィンドウ] を選択することと、最小化のプロパティシートにて [開始時] のチェックボックスをオンにすることは同様の動作をします。

  • [サイズ変更] - チェックすると、対象ウィンドウを指定したサイズに変更します。アクション オプションに表示される設定項目にて、絶対的、または相対的な単位でサイズを指定することができます。

    メモ: このオプションはサイズのプロパティシートからも変更できます。

  • [揃える] - チェックすると、指定した方法で対象ウィンドウをデスクトップ内に表示します。アクション オプションに表示される [ウィンドウを揃える] のプルダウン メニューから9種類の配置方法を選択できます。

    メモ: このオプションはポジションのプロパティシートからも変更できます。

  • [手前に表示する] - チェックすると、対象ウィンドウの「手前に表示」状態を制御できます。アクション オプションに表示される手前に表示グループで制御方法を定義できます。

    • [常にする] のラジオボタン - 常に対象ウィンドウを手前に表示します。

    • [しない] のラジオボタン - 対象ウィンドウを手前に表示しません。

    • [前回と同じ] のラジオボタン - ウィンドウを閉じる時に現在の「手前に表示」状態を保存して、次回その状態で対象ウィンドウを表示します。

    • [守る] のチェックボックス - 他のアプリケーションが Actual Tools プログラムが設定した「手前に表示」状態を変更しようとすると、それを拒否します。

  • [デスクトップに貼り付け] - チェックすると、対象ウィンドウをデスクトップに固定ます。

  • [キーボード マクロの実行] - チェックすると、定義したキー ストロークを対象ウィンドウに送信します。アクション オプションに表示される項目では以下の設定が可能です。

    • 以下の規則を踏まえ、[キーコンビネーションを挿入] の入力欄にマクロ テキストを入力します。

      • 英数字は「そのまま」入力する必要があります。

      • マクロ シーケンスにキー組み合わせを入力する際は、キーコンビネーションを挿入グループを使用します。入力欄をクリックして組み合わせるキーを押し (そのキーは入力欄に即座に反映されます。)、[挿入] ボタンをクリックします。(< > で囲み直接入力することも可能です。例: <Ctrl+F5>、<Alt+Shift+B>、<Ctrl+End> など)

      • マクロ シーケンスに特別なキーを使用する際は、[特別なキー] (プルダウン) を使用します。クリックして、リストからキーを選択します。(< > で囲み直接入力することも可能です。例: <PgDn>、<BkSp>、<Ins> など)

    • ウィンドウを開いてからウィンドウにシーケンスを送信するまでに待機する時間を指定します。[実行前に遅延] のチェックボックスをオンにして、待機時間をミリ秒単位で入力します。

  • [閉じる] - チェックすると、対象ウィンドウを閉じます。アクション オプションに表示される [閉じる時に要する時間] のチェックボックスをオンにすると、対象ウィンドウを閉じるときに待機する時間をミリ秒単位 (整数値) で入力欄に入力できるようになります。

オプション グループ - スタートアップ トリガ オプションを設定できます。現在利用可能なオプションは以下の通りです。

  • [標準ウィンドウパーツの削除] のチェックボックス - オンにすると、標準のウィンドウパーツの削除を有効にします。同設定グループにて、どの部分を削除するかを定義します。

    • [枠] - 対象ウィンドウの枠 (タイトルバーも含む) を削除します。

    • [フレームのサイズ変更] - 通常、対象ウィンドウの右下コーナーにあるサイズ変更スポットを削除します。(スポットがある場合)設定後は、対象ウィンドウを手動でサイズ変更することはできません。

    • [タイトルバーのアイコンとボタン] - 対象ウィンドウのタイトルバーからウィンドウ アイコンと [閉じる] タイトルボタンを削除します。

    • [最小化ボタンのみ] - 対象ウィンドウのタイトルバーから [最小化] タイトルボタンを削除します。

    • [最大化ボタンのみ] - 対象ウィンドウのタイトルバーから [最大化] タイトルボタンを削除します。


Configuration Import Wizard

設定インポート ウィザード

[設定インポート] ウィザード は、Actual Tools プログラムの以前のバージョンから Actual Window Manager に自動的に設定をインポートする特殊なツールです。このウィザードには個別のダイアログが存在します。各ダイアログはインポート処理の1つ 1つを段階ごとに表示するので、ウィザードに従って処理を進めていきます。処理手順の途中で戻ることもできるので、必要があれば戻って変更してから続行することもできます。各ダイアログには次のボタンがあります。

  • [戻る] - 1つ前の手順に戻ります。
  • [次へ] - 1つ先の手順に進みます。
  • [キャンセル] - インポート処理をキャンセルします。(どの段階でもキャンセル可能)

[製品選択] ダイアログでは、どの製品からインポートするかを選択します。(プルダウン メニューを使用します。)

インポート ウィザード ダイアログ1

同じ製品間でのみインポートすることが可能です。 (例えば、Actual Title Buttons 3.8 から Actual Title Buttons 4.0へ) 但し、Actual Window Manager へはどの製品からもインポート可能です。

[ファイル選択] ダイアログでは、以前のバージョンの設定が格納されている場所を選択します。

インポート ウィザード ダイアログ2

インポート先に名前を入力、または [...] を押して Windows® の [ファイルを開く] ダイアログを開き、必要なファイルを選択します。

[インポート オプション] ダイアログでは、複数のインポート処理のオプションを設定します。

インポート ウィザード ダイアログ3

現在のウィンドウ設定一覧に、同じ設定名が存在している場合グループ - 以前インポートした設定とインポートしようとしている設定が同じ名前の場合の処理方法を次のラジオボタンを使用して選択します。

  • [現在の設定を上書きする] の ラジオボタン - 以前の設定に現在の設定を置き換える。
  • [インポート設定の名前を変更する] のラジオボタン - 衝突防止のため以前の設定名を自動で変更する。
  • [同名の設定をスキップする] のラジオボタン - 以前の設定を読み込まない。
  • [確認する] のラジオボタン - 同名の設定が存在する場合、上記の処理方法 (上書き/名前変更/スキップ) のいずれかを選択する確認画面を表示する。

[デフォルト ウィンドウ設定をインポート] のチェックボックス - オンにすると、現在の設定に以前の "デフォルト ウィンドウ設定" を上書きします。

[オプション設定を読み込む] のチェックボックス - オンにすると、現在のオプション設定に以前のオプション設定を上書きします。

[インポート準備ができました] ダイアログ (最後のダイアログ) では、これまでの設定内容を表示します。これでインポートの準備は完了です。

インポート ウィザード ダイアログ4

[実行] をクリックすると、定義した設定内容でインポート処理を開始します。

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 27, 2007.


Options Dialog

オプションのプロパティ

[オプション] ダイアログは以下の機能分野で構成されています。

  • 左側のナビゲーション パネル (1) には、Actual Tools プログラムのオプションの全項目が表示されていて、項目を選択するとその詳細にアクセスできます。(ここに表示されるグループの数は製品によって異なる。)
  • 右側の設定パネル (2) で表示される内容は、ナビゲーション パネルで選択した項目によって異なり、表示内容は以下の通りです。
    • 全般オプションのプロパティシート
    • ショートカット キー オプションのプロパティシート
    • タイトルボタン オプションのプロパティシート
    • サイズ変更オプションのプロパティシート
    • ロールアップ オプションのプロパティシート
    • 透過化オプションのプロパティシート
    • ゴースト化オプションのプロパティシート
    • ウィンドウ レイアウト オプションのプロパティシート
    • ユーザ インターフェイス オプションのプロパティシート
  • 下部のパネル (3) には、以下のボタンがあります。
    • [OK] - 変更内容を適用し、[オプション] ダイアログを閉じる。
    • [キャンセル] - 変更内容を適用せずに [オプション] ダイアログを閉じる。
    • [適用] - [オプション] ダイアログを閉じることなく変更内容を適用するので、オプションの変更を継続することができる。


General Options Property Sheet

全般オプションのプロパティシート

全般オプションのプロパティシートでは、Actual Tools プログラム全般のオプションを設定します。

General Options Property Sheet

[言語] のプルダウン メニュー - Actual Tools プログラムのユーザ インターフェイス全体に使用する言語を選択します。

[Windows へのログオン時に実行] のチェックボックス - オンにすると、Windows® へのログオン時に、自動的に Actual Tools プログラムのコントロール センタを実行します。

[トレイ アイコンを有効] のチェックボックス - オンにすると、コントロール センタを読み込む間、システム トレイに Actual Tools プログラムのアイコンを表示します。

[すべてのウィンドウのシステム メニューに [ウィンドウ設定管理] を追加] のチェックボックス - オンにすると、すべてのウィンドウのシステム メニューに [ウィンドウ設定管理] のサブメニューを拡張します。サブメニューには以下の設定管理コマンドが表示されます。

  • [Change default settings (デフォルト設定変更)] - デフォルト 設定を変更します。(このコマンドは、デフォルト設定が適用されているウィンドウにのみ表示されます。)
  • [個別設定作成] - 必要な対象ウィンドウのプロパティ値を自動的に取得し、現在のウィンドウに対する個別設定を新たに作成します。
  • ['XXX' 個別設定変更] - 'XXX' の個別 設定を変更します。(XXX には、対象ウィンドウのタイトルが表示されます。)
  • [このウィンドウを Actual Window Manager の処理から除く] - 対象ウィンドウのプロパティ値を自動的に取得し、現在のウィンドウに対する除外設定を新たに作成します。
  • [設定の更新] - 現在のウィンドウを初期状態にリセットし、適切なウィンドウ設定の検索を開始します。

[すべてのウィンドウ タイトルバーに [ウィンドウ設定管理] ボタンを追加] のチェックボックス - オンにすると、すべてのウィンドウのタイトルバーに前述の設定管理コマンドへアクセスできる [ウィンドウ設定管理] タイトルボタンを追加します。

[ログの有効化] のチェックボックス - オンにすると、[ウィンドウ監視ログ] ツールを有効にします。有効にした後は、コントロール センタのコンテキスト メニューから [ウィンドウ監視ログ] を表示/非表示することができます。


Title Buttons Options Property Sheet

タイトルボタン オプションのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Title Buttons、Actual Transparent Window、Actual Window Minimizer、Actual Window Rollup

タイトルボタン オプションのプロパティシートでは、Actual Tools プログラムの追加タイトルボタン用のスキンの選択、および表示する順序を定義します。

Title Buttons Options Property Sheet

タイトルボタン順序グループ - ウィンドウのタイトルバーに表示されるタイトルボタンの順序を定義します。

  • ツールバー - 一覧で選択したタイトルボタンの位置を変更するためのボタンがあります。
  • 一覧 - ボタンと現在のボタンの順序を表示します。

スキン グループ - 使用するスキンを選択するための以下のラジオボタンが表示されています。

  • [デフォルト スキンを使用] のラジオボタン - オンにすると、Actual Tools プログラムが次の標準 UI テーマに適切なスキンを自動的に読み込みます。Windows Classic、Windows XP Blue/Green/Silver
  • [カスタム スキンを使用] のラジオボタン - オンにすると、カスタム スキンを設定します。「カスタム スキン」は、個別フォルダ、または ZIP アーカイブに格納できます。[カスタム スキンを使用] の入力欄に、スキン用フォルダ、または ZIP アーカイブのパスを入力します。[...] を押すと、スキン用フォルダや ZIP アーカイブを選択できる Windows® 標準の [ファイルを開く] ダイアログが表示されます。

スキン プレビュ リストボックス - 現在使用しているスキンのボタン アイコンを表示します。このリストボックスを右クリックすると、コンテキスト メニューからお好みのアイコン表示を選択できます。(アイコン表示、小さいアイコン表示、一覧表示、および詳細表示の 4種類)


Resize Action Options Property Sheet

サイズ変更オプションのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard、Actual Title Buttons、Actual Window Menu

サイズ変更オプションのプロパティシートでは、カスタム ウィンドウ サイズを定義します。[サイズ変更] タイトルボタンのコンテキスト メニュー、および [ウィンドウのサイズ変更] のサブメニューにある定義済みのボタンを利用して、簡単にサイズ オプションの設定ができます。

Resize Action Options Property Sheet

サイズ変更ツールバー - 「サイズ リストボックス」と関連性があり、以下のサイズ項目に関連するコマンドと一貫したボタンがあります。

  • [新しい項目を追加する] ボタン - 新しいサイズ項目を追加する際にクリックします。
  • [選択した項目を削除する] ボタン - [サイズ] 一覧で選択したサイズ項目を削除する際にクリックします。
  • [選択した項目をコピーする] ボタン - [サイズ] 一覧で選択したサイズ項目を新しいサイズ項目としてコピーする際にクリックします。
  • [選択した項目を上に移動する] ボタン - [サイズ] 一覧で選択したサイズ項目を1つ上に移動する際にクリックします。
  • [選択した項目を下に移動する] ボタン - [サイズ] 一覧で選択したサイズ項目を1つ下に移動する際にクリックします。

サイズ リストボックス - 表示する定義済みのサイズには以下の列があります。

  • [横幅] - 現在の横幅のプロパティ値と単位 (ピクセルは px、デスクトップに対する比率は %) を表示します。[-] 記号は、そのサイズを適用する際に横幅のプロパティは変更しないという意味です。
  • [高さ] - 高さのプロパティであること以外には、[横幅] と同様の解釈です。

選択したアイテムの編集グループ - [サイズ リストボックス」で選択した項目のプロパティを変更します。これらのプロパティの変更はウィンドウ サイズの変更によく似ています。

サイズ変更オプション グループ - 以下のオプションを調整するためのチェックボックスがあります。

  • [コンテキスト メニューでの現在のサイズを表示] のチェックボックス - オンにすると、[サイズ変更] タイトルボタンのコンテキスト メニュー、および [サイズ変更] メニューのサブメニューに現在のウィンドウ サイズを反映します。
  • [サイズ変更後、デスクトップ制限サイズに位置変更] のチェックボックス - オンにすると、サイズ変更後にウィンドウ ボーダーがデスクトップ制限を越えていた場合、デスクトップに完全に収まるように再度ウィンドウを配置します。


Hotkeys Options Property Sheet

ショートカットキー オプションのプロパティシート

ホットキー オプションのプロパティシートでは、[ホットキー] 機能の有効/無効の設定、および Actual Tools プログラムのウィンドウ操作でよく使用するキーコンビネーションの適用や設定をします。

Hotkeys Options Property Sheet

[ホット キーを有効化] のチェックボックス - オンにすると、[ホットキー] 機能を有効にします。

ホットキー リストボックス - 使用できるアクションの一覧、および適用されたキーコンビネーションを表示します。機能項目の左側にあるチェックボックスを利用して、その機能を有効、あるいは無効に設定します。

キーコンビネーショングループ - 「ホットキー リストボックス」で選択したアクションに適用するキーコンビネーションを変更できます。

  • [Win +] のチェックボックス - オンにすると、現在のキーコンビネーションに [Win] キーを追加します。
  • [Ctrl +] のチェックボックス - オンにすると、現在のキーコンビネーションに [Ctrl] キーを追加します。
  • [Shift +] のチェックボックス - オンにすると、現在のキーコンビネーションに [Shift] キーを追加します。
  • [Alt +] のチェックボックス - オンにすると、現在のキーコンビネーションに [Alt] キーを追加します。
  • [ホットキー] ボックス - クリック後、組み合わせる英数字を入力してキーコンビネーションを完成させます。

メモ: ここで定義するキーコンビネーションは Windows® 標準のキーコンビネーションとは別のものである必要があるので注意してください。標準の組み合わせは以下の通りです。<Alt+Tab>、<Alt+Space>、<Win+D>、<Win+E>、<Win+F>、<Win+L>、<Win+M>、<Win+R>、<Ctrl+Esc>

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 24, 2007.


Ghost Action Options Property Sheet

ゴースト アクション オプションのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Transparent Window、Actual Title Buttons、Actual Window Menu

ゴースト アクション オプションのプロパティシートでは、ゴースト化されたウィンドウの動作を調整します。

Ghost Action Options Property Sheet

[一時的にゴースト解除] のチェックボックス - オンにすると、現在ゴースト化されてあるウィンドウの「ゴースト」モードを解除する機能を有効にします。定義したキーコンビネーションを押している間はマウス操作が有効になります。以下のキーを使用して、キーコンビネーションを定義できます。

  • [Win +] のチェックボックス - オンにすると、現在のキーコンビネーションに [Win] キーを追加します。
  • [Ctrl +] のチェックボックス - オンにすると、現在のキーコンビネーションに [Ctrl] キーを追加します。
  • [Shift +] のチェックボックス - オンにすると、現在のキーコンビネーションに [Shift] キーを追加します。
  • [Alt] のチェックボックス - オンにすると、現在のキーコンビネーションに [Alt] キーを追加します。


User Interface Options Property Sheet

ユーザ インターフェイス オプションのプロパティシート

ユーザ インターフェイス オプションのプロパティシートでは、設定モジュールのメイン ウィンドウの外観を設定します。

User Interface Options Property Sheet

ナビゲーション バー グループ - 以下のオプションを設定するためのチェックボックスがあります。

  • [大きいアイコン] のチェックボックス - オンにすると、ナビゲーション バー アイコンを2倍の大きさで表示します。
  • [機能名表示] のチェックボックス - オンにすると、ナビゲーション バーの各ボタンに機能名を表示します。

ツールバー グループ - 以下のオプションを設定するためのチェックボックスがあります。

  • [大きいアイコン] のチェックボックス - オンにすると、すべてのツールバー アイコンを2倍の大きさで表示します。

フォント グループ - 表示フォントの選択をするための GUI (グラフィカル ユーザ インターフェイス) があります。

  • [フォント名] の入力欄 - 選択したフォント名を表示します。
  • [サイズ] の入力欄 - 選択したフォント サイズを表示します。
  • [...] ボタン - 押すと、フォントを選択するための [フォント] ダイアログが表示されます。
  • [レストア] ボタン - フォント名/サイズをデフォルト値に戻します。

メモ: フォントの変更を反映するためには、設定モジュールを再起動する必要があります。

[ウィンドウ検索の使用中に設定モジュールを隠す] のチェックボックス - オンにすると、ウィンドウ ファインダ (十字)アイコンをドラッグしている間は、設定モジュールのメイン ウィンドウを表示しません。この場合、メイン ウィンドウから下にあるウィンドウへのアクセスを拒否しないので、十字アイコンを使用して、下にあるウィンドウを簡単に対象ウィンドウにすることができます。

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 7, 2007.


Subscribe to Newsletter Dialog

[ニュースレターについて] ダイアログ

[ニュースレターについて] ダイアログは、Actual Tools のニュースレターの購読 (アップデート情報を含む) を電子メールにて受信するか否かを設定するダイアログ ウィンドウです。

購読するには、[ニュースレターを購読する] を選択して [OK] ボタンをクリックすると、自動的に電子メールが作成されるます。メッセージの内容を変更せずに送信します。これで設定は完了です。今後は Actual Tools 製品の最新情報、新商品、コンテスト、特別割引に関する情報を電子メールにてお知らせします。

Actual Tools からのニュースレターの受信を停止したい場合は、[ニュースレターの購読を解除する] を選択して [OK] ボタンをクリックします。自動作成された電子メールを送信すると、(購読開始と同様に、こちらもメッセージの内容は変更しないで下さい。) 購読を解除できます。

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 7, 2007.


Tell a Friend Dialog

[友人に教える] ダイアログ

[友人に教える] ダイアログは、 お知らせするための電子メールを自動的に作成して、それを送信するためのダイアログ ウィンドウです。

Actual Window Manager についての必要な情報を載せた電子メールを作成するには、[OK] ボタンを押すだけです。自動作成された電子メールの宛先にご友人のメールアドレスを入力して、送信します。Actual Tools や便利なプログラムについての情報を共有することができます！

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 27, 2007.


Registration Dialog

アクティベーション ダイアログ

[アクティベーション] ダイアログは、お手持ちの Actual Window Manager をアクティベートするための特別なダイアログ ウィンドウです。

購入処理を完了し、Actual Window Manager のお支払いをしていただくと、アクティベーション情報 (登録名とアクティベーションキー) を電子メールにてご連絡いたします。登録名を登録名の入力欄に、アクティベーションキーをアクティベーションキーの入力欄に入力してください。入力ミスを防ぐため、コピー & ペーストのご使用を推奨します。(特にアクティベーションキーの入力欄には、コピー & ペーストをご使用下さい。)

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 27, 2007.


About Dialog

バージョン情報

[バージョン情報] ダイアログは、著作権、およびお客様がご利用中の Actual Window Manager のバージョン とその登録状態を表示します。

ダイアログ ボックス内には 2 つのハイパーリンクが表示されています。1 つ目は、Actual Tools のメイン ウェブサイトへアクセスできます。そこでは更新情報の表示やダウンロード、またフォーラムで他のユーザと連絡を取ることができます。2 つ目は、Actual Tools サポート宛てに 空の電子メールを作成 します。Actual Window Manager についてのお問合せやご意見を送信する際にご利用下さい。

このダイアログを閉じるには、[閉じる] タイトルボタン ([X] ボタン)、またはウィンドウの下部に表示されている ［閉じる］ ボタンをクリックしてください。

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 4, 2007.


Administration

アドミニストレーション

この章では、パワー ユーザや管理者にとって便利であろう特殊な Actual Tools プログラムの機能を説明します。

  • セットアップ コマンドライン パラメータ
  • プログラム コマンドライン パラメータ


Setup Command Line Parameters

セットアップ コマンドライン パラメータ

セットアップ プログラムでは任意のコマンドライン パラメータを使用できます。

パラメータ | 解説
/sp- | セットアップを開始する時の 「インストールを開始します・・・続行しますか？」の確認ダイアログを無効にします。
/silent、/verysilent | セットアップを "silent" または "very silent" に設定します。セットアップを "silent" に設定している場合、ウィザードやバックグラウンド ウィンドウは表示されず、インストール進行状況ウィンドウが表示されます。セットアップを "very silent" に設定している場合は、インストール進行状況ウィンドウも表示されません。 インストール中のエラー メッセージの表示やスタートアップ プロンプト (/sp- コマンドライン オプションにて無効に設定していない場合に限る) など、その他は全て通常です。 /norestart コマンドを使用せず (下記参照)、セットアップが "silent" の状態で再起動した場合は「再起動しますか？」の確認ダイアログが表示されます。セットアップが "very silent" の場合には確認ダイアログを表示することなく再起動します。
/norestart | 必要な場合でも再起動しないようにセットアップに指示します。
/dir="x:\dirname" | [目的ディレクトリの選択] ウィザードに表示されたデフォルトのディレクトリ名を上書きします。完全修飾パス名を指定する必要があります。
/group="<folder_name>" | [スタート メニュー フォルダの選択] ウィザードに表示されたデフォルトのフォルダ名を上書きします。


Program Command Line Parameters

プログラム コマンドライン パラメータ

ActualWindowManagerCenter.exe プログラムでは次のコマンドライン パラメータを使用できます。

パラメータ | 解説
i+ | 現在のユーザに対して、トレイ アイコンの表示を有効にします。
i- | 現在のユーザに対して、トレイ アイコンの表示を無効にします。
s+ | 現在のユーザに対して、Windows へのログオン時に実行 (オプション)を有効にします。
s- | 現在のユーザに対して、Windows へのログオン時に実行 (オプション)を無効にします。
-all | すべてのユーザに対して、i-、i+、s-、s+ コマンドを適用します。
c | 初期設定 (WindowRules.ini) をリロードします。
c "<config_file_name.ini>" | <config_file_name.ini> ファイルから設定をリロードします。関連するファイル名を特定する必要があります。
r "<user_name>" <registration_key> | ユーザ名やアクティベーション キーと共にプログラムをアクティベートします。ユーザ名にスペースが含まれる場合は、引用符で囲みます。
unload | コントロール センタをメモリから完全に削除します。このコマンドはメイン メニューの [Actual Window Managerのアンロード] コマンドと同じように動作します。


How to...

  • Actual Window Manager のアクティベーション キー購入方法
  • Actual Window Managerに購入したキーのアクティベーション方法
  • Actual Tools への連絡方法
  • Actual Window Manager のアンインストール方法
  • 特定のウィンドウに対する個別設定の方法
  • 追加したタイトルボタン用のスキンの作成方法


How To Purchase Actual Window Manager's License Key

Actual Window Manager のアクティベーション キーの購入方法

フルバージョンの利点をすべて活用できるようにするには、Actual Window Manager のアクティベーションが必要です。

今すぐ Actual Window Manager を購入する!

お支払い方法は以下の通りです。

  • クレジットカード
  • 銀行振り込み

注文方法 (クレジットカード、銀行振込) についての詳細は製品購入の流れを参照して下さい。

お支払いの確認が取れましたら、アクティベーション キーと共にライセンス発行通知を電子メールにてお知らせいたします。プログラムのアクティベーション方法をお読み下さい。アップグレードする際などに必要になることもありますので、アクティベーション キーは大切に保管していただきますようお願い申し上げます。また、shareEDGE メンバーにユーザ登録すると、shareEDGE プロジェクトの目的としているサービスをご利用になったり、ご自身がサービスを提供したりすることができます。

ライセンス 1つにつき、固定機器 (自宅用 PC/会社用 PC) 1台、および モバイル機器 (ラップトップ/ノート型/タブレット PC) 1台に同時にインストールすることが許可されています。機器を追加する場合には、別のライセンスを購入していただく必要があります。ボリューム ライセンスについての詳細は www.shareEDGE.com を参照していただくか、contact@nextEDGEtech.com までお問合せ下さい。

購入する
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 4, 2007.


How To Register

Actual Window Managerに購入したキーのアクティベーション方法

制限無く利用していただくためには、Actual Window Manager のアクティベーション キーを登録していただく必要があります。アクティベーション キーの購入方法をお読み下さい。

アクティベート後の利点は以下の通りです。

  • バージョン情報ダイアログに名前が表示される
  • アクティベーションを促すポップアップ ウィンドウが表示されなくなる
  • 60日間の "試用制限" がなくなる
  • 無料のマイナー アップグレード (例えば、バージョン4.0から4.5へ)
  • 電子メールによる無料の技術サポート: 英語、日本語

お支払いの確認が取れましたら、アクティベーション キーと共にライセンス発行通知を電子メールにてお知らせいたします。アクティベートが完了すると、すべての制限が解除され、Actual Window Manager のフルバージョンをご利用いただけます。

Actual Window Manager のアクティベーション方法については、以下の指示に従って下さい。

  1. 設定モジュールを実行する
  2. [アクティベーション] ダイアログを開く
  3. ライセンス通知の電子メールに記載されている登録名とアクティベーション キーを入力 (入力ミスを防ぐため、コピー アンド ペーストのご使用を推奨します。)
  4. [OK] ボタンをクリックする
  5. 設定モジュールを閉じる
  6. アクティベーションを完了させるため、Actual Window Manager を再起動する

Actual Window Manager のご購入ありがとうございます!

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 4, 2007.


How to Contact Actual Tools

連絡先

Actual Window Manager や、その他の Actual Tools 製品に関する最新情報は、 http://www.ActualTools.com/ を参照してください。

Actual Window Manager の最新アップデートや、その他の製品の試用版を www.shareEDGE.com から無料でダウンロードできます。

お客様のフィードバックは大歓迎です。ご意見・ご感想がありましたら、下記のアドレスまでお寄せ下さい。

  • 技術サポートとフィードバック: support@actualtools.com
  • 販売部: sales@actualtools.com

日本国内:

  • 技術サポートとフィードバック: http://www.shareEDGE.com/cs/

Actual Tools 製品に関心をお持ちいただきありがとうございます。

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 4, 2007.


How to Uninstall

Actual Window Manager のアンインストール方法

Actual Window Manager をアンインストールする方法は、コントロール パネルからと、スタート メニューからの2通りあります。

コントロール パネル

  1. Windows® のコントロール パネルを開きます。
  2. [プログラムの追加と削除] をダブルクリックします。
  3. 一覧に表示された [Actual Window Manager] をダブルクリックします。
  4. アンインストール ウィザードの指示に従います。

スタート メニュー

  1. [スタート] ボタンをクリックします。
  2. [すべてのプログラム] を選択します。
  3. [Actual Window Manager] を選択します。
  4. [Uninstall Actual Window Manager] をクリックします。
  5. アンインストール ウィザードの指示に従います。
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 2, 2007.


How To Create Your Own Skin For Title Buttons

タイトルボタン用のスキンの作成方法

バージョン4.0以降、Actual Tools のプログラムは追加したタイトルボタン用のカスタム スキンをサポートしています。"スキン" は、タイトルバーのエキストラボタンに使用する画像セットです。画像は、標準ボタンの現在のスタイルに適合する必要があります。特に、標準でない UI テーマを使用している時は、標準ボタンのスタイルは様々です。Actual Tools プログラムのタイトルボタンのスキンは、XML として特別な "スキン インデックス ファイル" に格納されます。このスキン インデックス ファイルは、"別のフォルダ"、または "ZIP ファイル" へ格納できます。

スキンの名前付けルール

Actual Tools プログラムは、タイトルボタンのスキンを含むフォルダや ZIP ファイルに対して、名前付けルールを利用します。これらのルール規則は自動検出機能を提供し、ユーザが "ディスプレイ プロパティ" ダイアログで新しい UI テーマを選択した時に適切なタイトルボタンを提供します。

自動検出機能を使用したい場合は、以下の様式でカスタム スキンの名前付けを行ってください。
<main theme name>_<theme style name>
<main theme name> はテーマの内部名で、<theme style name> はテーマスタイルの内部名です。これらの内部名は Windows® で使用されています。C:\Windows\Resources\Themes フォルダを見ると、現在インストールされているテーマの内部名を見つけられます。各サブフォルダはあるテーマを表していて、このフォルダ名が内部テーマ名です。)そのような各フォルダには Shell サブフォルダ (テーマスタイルを含むサブフォルダを格納している) も含まれています。例えば、標準の Windows® XP テーマの内部名は Luna であり、Shell サブフォルダの中には以下のフォルダがあります。NormalColor (XP Blue スタイルに対応)、Homestead (XP Green スタイルに対応) そして、Metallic (XP Silver スタイルに対応)。それぞれに対応する標準のタイトルボタンのスキンは、Luna_NormalColor.zip、Luna_Homestead.zip、Luna_Metallic.zip と名付けられデフォルトとして設定されています。

ほとんどのテーマには NormalColor 以外のスタイルは含まれていないので、カスタム スキン フォルダ/ZIP ファイルの名前を MyTheme_NormalColor (または MyTheme_NormalColor.zip) にするとよいでしょう。

スキン インデックス ファイル フォーマット

XML フォーマットに比例して、タイトルボタンのスキン インデックス ファイルは画像に関する情報を含む特別な "タグ" を定義します。インデックス ファイルの一般的なコンテンツです。

<skin>
<skininfo>My skin</skininfo>
<buttons>
<button name="operation name">image file name.bmp</button>
<button name="operation name_Small">image file name_Small.bmp</button>
    ...
</buttons>
</skin>

すべての画像ファイル名には、インデックス ファイルが格納されているフォルダに関するパス名を含みます。しかし、ボタンの画像を同じフォルダ/ZIP ファイルにインデックス ファイルとして配置することを推奨します。その場合、パス名を含まずにファイル名のみを使うとよいでしょう。

画像フォーマット

"インデックス ファイル フォーマット" は次の通り、各ボタンに "normal" と "small" の2種類の画像が必要です。それぞれの画像は256色パレットのBMPファイル、サイズについては "normal" が13x13ピクセル、"small" は8x8ピクセルである必要があります。画像の一覧は以下の通りです。

  • StayOnTopOn
  • StayOnTopOn_Small
  • StayOnTopOff
  • StayOnTopOff_Small
  • MinToTray
  • MinToTray_Small
  • MinToEdge
  • MinToEdge_Small
  • MakeTransparentOn
  • MakeTransparentOn_Small
  • MakeTransparentOff
  • MakeTransparentOff_Small
  • WindowRollup
  • WindowRollup_Small
  • WindowUnroll
  • WindowUnroll_Small
  • SendToBottom
  • SendToBottom_Small
  • ResizeWindow
  • ResizeWindow_Small
  • RestoreSize
  • RestoreSize_Small
  • GhostOn
  • GhostOn_Small
  • GhostOff
  • GhostOff_Small
  • AlignWindow1
  • AlignWindow1_Small
  • AlignWindow2
  • AlignWindow2_Small
  • AlignWindow3
  • AlignWindow3_Small
  • AlignWindow4
  • AlignWindow4_Small
  • AlignWindow5
  • AlignWindow5_Small
  • AlignWindow6
  • AlignWindow6_Small
  • AlignWindow7
  • AlignWindow7_Small
  • AlignWindow8
  • AlignWindow8_Small
  • AlignWindow9
  • AlignWindow9_Small
  • PriorityLow
  • PriorityLow_Small
  • PriorityBelowNormal
  • PriorityBelowNormal_Small
  • PriorityNormal
  • PriorityNormal_Small
  • PriorityAboveNormal
  • PriorityAboveNormal_Small
  • PriorityHigh
  • PriorityHigh_Small
  • PriorityRealtime
  • PriorityRealtime_Small
  • MoveToMonitor
  • MoveToMonitor_Small
  • ShowDisabledButtons
  • ShowDisabledButtons_Small
  • RuleSettings
  • RuleSettings_Small
  • CaptionButtonBackground
  • CaptionButtonBackground_Down
  • CaptionButtonBackground_Hot
  • CaptionButtonBackground_Inactive
  • CaptionButtonBackground_Inactive_hot

スキンの適用

スキン インデックス ファイルと画像の準備ができたら、Actual Tools プログラムのタイトルボタン スキンのオプションを使用して、独自のスキンをデフォルトとして設定できます。スキンに適切な名前付けをした場合は、選択を解除し、再度テーマを選択してください。スキンは自動的に適用されます。

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 24, 2007.


Actual Tools Products Catalog

Welcome to the products catalog of Actual Tools!

Here you can find the information about all our products:

  • Actual Window Manager
    Get a Well-Trained Assistant Managing Your Windows!
  • Actual Title Buttons
    Take the Unlimited Control Over Your Windows With the New Nifty Buttons!
  • Actual Transparent Window
    Add the Transparency Effect to Any Window You Want!
  • Actual Window Minimizer
    Minimize Any Program in Any Way!
  • Actual Window Rollup
    Rollup Windows Like Blinds So Only Their Title Bars Remain Visible!
  • Actual Window Guard
    Keep Windows On Your Desktop In Order Automatically!
  • Actual Window Menu
    Take the Unlimited Control On Your Windows With the Custom Extended Window Menu!

Actual Window Manager icon Actual Window Manager

Get a Well-Trained Assistant Managing Your Windows!

Actual Window Manager is 6 tools in 1: transparency effect, minimize to tray and much more. Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.14 Mb
Download Now!
Order Now!
Home Page

Actual Window Manager is an innovative utility for organizing the Windows® desktop via extended window manipulation capability for more convenient and enjoyable work with your computer. The productivity of your work depends directly on the number of windows you are able to effectively operate and control as compared with the amount of time and effort you waste on the unnecessary manual manipulation of those same windows. Actual Window Manager provides more than 40 handy tools with which you can vastly improve your ability to quickly, easily, and automatically manipulate the windows on your system, avoid wasted effort and gain access to new control features and automatic performance of many routine actions.

Download | Order Now! | Home page | More info...

Actual Title Buttons icon Actual Title Buttons

Take the Unlimited Control Over Your Windows With the New Nifty Buttons!

Version: 4.2
Release Date: October 10, 2006
Work on: Win95,Win98,WinME,WinNT 4.x,WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.35 Mb
Download Now!
Order Now!
Home Page

Actual Title Buttons is intended to optimize daily window management activities with just one mouse-click. Actual Title Buttons lets you add the new Minimize Alternatively, Rollup, Stay on Top, Change Transparency and other buttons to any program's title bar next to the Windows® standard Minimize/Maximize/Close buttons. The new buttons are as easy-to-use as the standard ones but far more handy!

Download | Order Now! | Home page | More info...

Actual Transparent Window icon Actual Transparent Window

Add the Transparency Effect to Any Window You Want!

Actual Transparent Window lets you add transparency effect to any window such as Taskbar, WinAmp, Menus and others in Windows 2000/XP Version: 4.2
Release Date: October 10, 2006
Work on: WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.31 Mb
Download Now!
Order Now!
Home Page

Actual Transparent Window lets you apply the transparency effect to any window in Windows® 2000/XP/2003/Vista.

The transparency effect looks very impressive and may be useful with such windows as Windows Taskbar, Winamp, menus, any instant messenger, and other windows.

Actual Transparent Window lets you set the individual transparency rate for each window. You can change transparency from 0% (solid) to 100% (fully transparent) to achieve the desired effect.

Download | Order Now! | Home page | More info...

Actual Window Minimizer icon Actual Window Minimizer

Minimize Any Program in Any Way!

Minimize to the tray or minimize on the screen any program you want and get more space and freedom! Version: 4.2
Release Date: October 10, 2006
Work on: Win95,Win98,WinME,WinNT 4.x,WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.32 Mb
Download Now!
Order Now!
Home Page

Actual Window Minimizer lets you minimize any application to a small icon in the System Tray or on the Screen.

This feature helps you save the taskbar and desktop space and use them in a more efficient manner.

Actual Window Minimizer is an ideal solution for such programs as e-mail clients (Outlook Express, Outlook, Eudora etc.), audio players (Windows Media Player, CD Player etc.), offline browsers and FTP clients or any background processing programs.

Download | Order Now! | Home page | More info...

Actual Window Rollup icon Actual Window Rollup

Rollup Windows Like Blinds So Only Their Title Bars Remain Visible!

Rollup windows either manually or automatically! Version: 4.2
Release Date: October 10, 2006
Work on: Win95,Win98,WinME,WinNT 4.x,WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.32 Mb
Download Now!
Order Now!
Home Page

Rolling windows up like blinds/curtains is far more quick and convenient than minimizing them to icons! You won't have to hunt for the windows you were using! Mix manual and automatic controls to your preferences.

Download | Order Now! | Home page | More info...

Actual Window Guard icon Actual Window Guard

Keep Windows On Your Desktop In Order Automatically!

Auto- minimize or maximize certain programs on their startup, get rid of annoying pop-up windows, discipline unruly windows and put your desktop in order, prevent accidental close of window. Version: 4.2
Release Date: October 10, 2006
Work on: Win95,Win98,WinME,WinNT 4.x,WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.33 Mb
Download Now!
Order Now!
Home Page

Actual Window Guard is precise, invisible and invaluable helper which will optimize your workspace and relieve you of doing the boring, redundant actions. It can do automatically the following actions: minimize/maximize certain programs upon startup, close annoying popup windows, prevent accidental closure of important windows, set, fix or save the size and position of windows, accurately control program priorities, and many others.

Download | Order Now! | Home page | More info...

Window Menu icon Actual Window Menu

Take the Unlimited Control On Your Windows With the Custom Extended Window Menu!

Add custom extended menu to any window! Add transparency effects, minimize to tray, always on top, change program priority and more! Version: 4.2
Release Date: October 10, 2006
Work on: Win95,Win98,WinME,WinNT 4.x,WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.32 Mb
Download Now!
Order Now!
Home Page

Actual Window Menu adds several new menu items to a standard window menu accessible via application icon in the title bar. Among them: Rollup/Unroll, Transparency, Minimize to the system tray, Stay on top and more!

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: October 10, 2006.


Actual Window Manager

Actual Window Manager icon Actual Window Manager

Get a Well-Trained Assistant Managing Your Windows!

Actual Window Manager is 6 tools in 1: transparency effect, minimize to tray and much more. Version: 4.5
Release Date: June 20, 2007
Work on: Windows 95/98/ME/NT/2000/XP/2003/Vista
Free Trial: 60 Days
File Size: 3.14 Mb
Download Now!
Order Now!
Home Page

Actual Window Manager is an innovative desktop organization application which introduces unconventional window controls and also automatic general window operations making your work more productive, convenient and enjoyable. It has more than 40 handy tools to help you in daily routine window manipulations.

Like a well-trained assistant, being instructed once, Actual Window Manager will do all the required actions automatically all the way you are working with it:

  • placing windows exactly to the required place
  • sizing them exactly as they should be
  • keeping the important windows on top of others
  • minimizing (either normally, or to the tray/screen, or rolling up, or making semi-transparent, or closing the inactive windows, so removing them from your way
  • and many others

As more windows you are able to work with simultaneously - as more efficient your work will be, and Actual Window Manager is an invaluable helper on this way!

Try it - and you will never imagine your work without it!

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: October 9, 2006.


Actual Title Buttons

Actual Title Buttons icon Actual Title Buttons

Take the Unlimited Control Over Your Windows With the New Nifty Buttons!

Add Minimize-to-Tray, Rollup, Stay-on-Top and Change Transparency buttons to any program's title bar near Minimize/Maximize/Close Version: 4.2
Release Date: October 10, 2006
Work on: Win95,Win98,WinME,WinNT 4.x,WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.35 Mb
Download Now!
Order Now!
Home Page

Windows concept is quite usable when it comes to minimizing, maximizing and restoring a window. However, there are still possibilities to unleash. Actual Title Buttons is the unique window management tool which offers extended window manipulation capabilities by adding new buttons to a window caption.

By clicking these buttons as you are used to do with the standard ones, you can take advantage of hidden Windows® features such as:

  • making any window semi-transparent
  • rolling windows up
  • minimizing any window to the system tray
  • making any window always-on-top
  • quickly resizing any window to most appropriate size
  • quickly placing any window to most appropriate position
  • changing program priority on-the-fly
  • "ghost" any window so it will pass through mouse clicks
  • easily move any window between monitors in a multi-monitor system

You can define which buttons should be actually added as for all windows as specify an individual set of buttons for any particular window.

With the help of Actual Title Buttons you can apply the above features to almost any program:

  • e-mail clients (Microsoft Outlook, Outlook Express, Eudora, Incredimail etc.);
  • instant messengers (Windows/MSN Messenger, Yahoo! Messenger etc.);
  • media players (Windows Media Player, Winamp etc.);
  • office tools (Notepad, Acrobat Reader, Microsoft Word, Microsoft Excel, Adobe Photoshop, Corel Draw etc.);
  • development tools (Microsoft Visual Studio, Borland Delphi etc.);
  • offline browsers or FTP clients;
  • and many other kinds of programs

Try Actual Title Buttons - they are surprisingly easy-to-use and very handy!

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 4, 2007.


Actual Transparent Window

Actual Transparent Window icon Actual Transparent Window

Add the transparency effect to any window you want!

Actual Transparent Window lets you add transparency effect to any window such as Taskbar, Winamp, Menus and others in Windows 2000/XP/2003/Vista Version: 4.2
Release Date: October 10, 2006
Work on: WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.31 Mb
Download Now!
Order Now!
Home Page

Actual Transparent Window is an innovative Windows transparency shell enhancement novelty - the application that allows setting any level of transparency for any individual window on the system.

Actual Transparent Window adds a new dimension to desktop space making it easy to organize simultaneously open windows without having to minimize and restore them every here and then. Along with common techniques of switching between applications windows Actual Transparent Window offers depth-based window ordering thanks to fully customizable transparency levels that are saved individually for each window.

Actual Transparent Window is intended for broad range of Windows users who value time and long for esthetical pleasure of modern computing. Using transparent windows reduces negative effects on user's eyes as well as it allows for more native dimensional information representation model in human beings. Multiple reports by Actual Transparent Window users indicate overall increase of productivity when using several business applications that require manual information interchange simultaneously. Desktop space saved by eliminating opaque windows can be used for placing additional icons. Another great use of this program is for setting transparency depending on importance of task an application performs.

Actual Transparent Window comes with flexible pricing options and a FREE trial version available! Download it now!

Features

  • Individual transparency rate:
    Actual Transparent Window lets you set individual transparency rate for each window. You can change transparency from 0% (solid) to 100% (fully transparent) to achieve the desired effect.
  • Inactive window transparency:
    Actual Transparent Window has option to set transparency only when window becomes inactive. And when you activate this window it becomes non-transparent again. This option may be especially useful for your instant messenger (Windows Messenger, Yahoo Messenger or any other).
  • Ghost mode:
    You can also activate the ghost mode. In this case all mouse clicks and moves to be made through the transparent window to underlying windows.
  • Apply transparency effect while window is moved or is resized:
    Apply transparency effect only when you move/drag or resize the window across the desktop. Note that this does not affect your transparency setting for windows while they are not being moved or resized.
  • Toggle transparency\opaque window state by double click on title bar:
    To toggle a window from transparent to opaque, double click on the title bar. To toggle a window from opaque to transparent, double click on the title bar again.
  • Make Transparent Make Transparent button button:
    The new "Make Transparent" button is may be added to a window title bar. Now you can switch on/off semi-transparency just pressing it.

    Transparency Context Menu

    You can select a different transparency level for any window on the fly, while it is open! Right-click the 'Make Transparent' button to display a context menu where you can choose one of the predefined levels of transparency. It's a very gorgeous effect, try it - and you'll like it very much.
  • System menu:
    New item Transparency is may be added to the system menu of a window. You can change a level of transparency via a new submenu at any time.
  • Hotkeys support:
    A keystroke Win+T toggles the transparency for the active window.
  • Individual window settings:
    You can configure every program's windows to different options, leave them that way for a while, or change the options whenever you wish! Your configuration for each window will remain set after every bootup until you change it.
  • Multilingual support:
    Actual Transparent Window supports English, German, Dutch, French, Spanish, Portuguese Brazilian, Russian, Ukrainian, Polish, Serbian Latin, Serbian Cyrillic, Japanese, Chinese Simplified, Chinese Traditional languages.
  • Possibility to improve almost each program:
    The transparency effect looks very impressive and may be useful with such windows as Windows Taskbar, Winamp, drop-down menus and lists, any Instant Messenger and other windows.
Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 4, 2007.


Actual Window Minimizer

Actual Window Minimizer icon Actual Window Minimizer

Minimize Any Program in Any Way!

Minimize to the tray or on the screen any program you want and get more space and freedom! Version: 4.2
Release Date: October 10, 2006
Work on: Win95,Win98,WinME,WinNT 4.x,WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.32 Mb
Download Now!
Order Now!
Home Page

Since Windows® operating system doesn't provide the default ability to minimize any window to the system tray, Actual Window Minimizer was developed for this single purpose but being developed for years now it performs this single function flawlessly.

Actual Window Minimizer is a small but powerful utility which is only needed to be installed to bring the minimize-to-tray ability online in a most quick and easy way: it adds an extra Minimize-to-Tray Minimize-to-Tray button button to every window's title bar so that you can send any window to the system tray in a single mouse click! You can use Actual Window Minimizer for free for 60 days after it is installed so just download and try it yourself now!

Besides the extra button Actual Window Minimizer offers many other ways to perform the minimize-to-tray action. For example, you can override the default behavior of any window's standard Minimize button and use it for the alternative minimization. Also you can hide windows in the tray automatically upon their startup or deactivation. Comprising the experience of thousands of its users Actual Window Minimizer is the ultimate solution for the 'Minimize-to-Tray' problem! Try it for free now!

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: October 6, 2006.


Actual Window Rollup

Actual Window Rollup icon Actual Window Rollup

Rollup Windows Like Blinds So Only Their Title Bars Remain Visible!

Rollup windows either manually or automatically! Version: 4.2
Release Date: October 10, 2006
Work on: Win95,Win98,WinME,WinNT 4.x,WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.32 Mb
Download Now!
Order Now!
Home Page

Sometimes you need to quickly remove your active window you need to see information which underlies it but you don't want to close it. So you have to minimize and then restore it but this requires redundant and ineffective mouse manipulations because you need, at first, move the mouse pointer to the Minimize button, then, secondly, move it down to window's taskbar button. These chores can be made much more easier and more fun with Actual Window Rollup!

As its name implies, Actual Window Rollup lets you roll your windows up like blinds/curtains - hide window's contents area and leave only its title bar visible! People use the Rollup feature much more often than the standard minimization to the taskbar because rolling up is much more quick, convenient and, finally, it's intuitively resembles the way you look out of the window - you pull the curtain up, not down!

Actual Window Rollup is a small but powerful utility which is only needed to be installed to bring the Rollup ability online in a most quick and easy way: it adds an extra Rollup Rollup button button to every window's title bar so that you can roll any window up in a single mouse click! You can use Actual Window Rollup for free for 60 days after it is installed so just download and try it yourself now!

Download | Order Now! | Home page /p>

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: October 7, 2006.


Actual Window Guard

Window Guard icon Actual Window Guard

Gain full control on your windows!

Auto- minimize or maximize certain programs on their startup, get rid of annoying pop-up windows, discipline unruly windows and put your desktop in order, prevent accidental close of window. Version: 4.2
Release Date: October 10, 2006
Work on: Win95,Win98,WinME,WinNT 4.x,WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.33 Mb
Download Now!
Order Now!
Home Page

Actual Window Guard is a proven desktop productivity enhancement solution that allows corporate and personal users to extend and manage their desktop for increased productivity and manageability.

More robust in features and functionality than any other desktop enhancement solution on the market, Actual Window Guard benefits from the proven technology of Actual Tools and includes the following functionality: close annoying pop-ups or other windows user don't want to see, automatically minimize certain programs upon startup or open them full screen, save and restore size and positions of windows and much more.

Features

  • Automatically maximize windows upon startup:
    Actual Window Guard will help you automatically open full screen certain programs upon startup. Automatically maximize Internet Explorer or any other window upon opening!
  • Automatically minimize windows upon startup:
    Automatically minimize Outlook Express or any other window upon opening!
  • Close windows automatically:
    Another helpful feature of Actual Window Guard is that you can set it to close annoying pop-ups automatically, or other windows you don't want to see.
  • Align window upon startup:
    The 'Align Window' feature lets you get any application window aligned with any of the 9 positions on the desktop - upper-left, upper-central, upper-right, etc.

    Align Window Context Menu

  • Save window size and position:
    If the windows of the programs you run are always appearing somewhere you don't want, or in some size that you don't want, or not as visible as you want - then Actual Window Guard will delight you. It will allow you to "discipline" unruly windows and put your desktop in order.
  • Set window position and size when it is created:
    Actual Window Guard also allows setting window coordinates and size manually.
  • Keep window on top:
    The Stay On Top feature brings the window to the top of the desktop and doesn't allow other windows to hide it.
  • Prevent accidental close of of window:
    Did you ever close a window by mistake? Perhaps it was inconvenient, or maybe you even lost some data! Actual Window Guard can help you to prevent this.
  • Change window title:
    Now you can replace the original title of a window to say whatever you want it to say! For example, you can rename your word processor, a game, etc.
  • Change Program Priority:
    This feature can change the speed of execution for any program from low to high or back. Be careful, and don't make changes unless you know what you are doing.
  • Remove window from taskbar:
    You may remove some windows from your taskbar and make them more convenient.
  • Individual window settings:
    You can configure every program's windows to different options, leave them that way for a while, or change the options whenever you wish! Your configuration for each window will remain set after every bootup until you change it.
  • Multilingual support:
    Actual Window Guard supports English, German, Dutch, French, Spanish, Portuguese Brazilian, Russian, Ukrainian, Polish, Serbian Latin, Serbian Cyrillic, Japanese, Chinese Simplified, Chinese Traditional languages.

This utility is the final step to optimize your use of program windows and make them more comfortable to use!

Actual Window Guard comes with flexible pricing options and a FREE trial version available!

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: August 3, 2006.


Actual Window Menu

Window Menu icon Actual Window Menu

Add custom extended menu to any window! Organize windows in a neat way!

Add custom extended menu to any window! Add transparency effects, minimize to tray, always on top, change program priority and more! Version: 4.2
Release Date: October 10, 2006
Work on: Win95,Win98,WinME,WinNT 4.x,WinXP,Windows2000,Windows2003
Free Trial: 60 Days
File Size: 3.32 Mb
Download Now!
Order Now!
Home Page

Actual Tools introduces Actual Window Menu, the unique standard window menu extension that provides advanced users with alternative ways of organizing and managing windows.

Actual Window Menu adds several menu items to standard window menu accessible via application icon in the title bar. Among new commands are: Roll Up \ Unroll window, Set window transparency, change program priority, minimize to task tray and always keep window on top. These new features allow advanced and newbie Windows users save their time and desktop space by neatly organizing windows.

Unlike simple shell extension solutions, Actual Window Menu allows you to create rules (i.e. available menu items and corresponding settings) for each individual application which is most convenient for automating the organization process. Simply find the window you would like to configure and use straightforward interface to configure its extended menu and its settings. Next time you run the program the settings will automatically take effect!

Actual Window Menu is available under flexible licensing conditions and comes with free trial version you can download right now!

Features

  • Minimize to Tray command:
    The 'Minimize to Tray' feature lets you save taskbar space while providing access to minimized applications via the system tray icons. Make your own taskbar less cluttered and more handy!
  • Rollup\Unroll command:
    The 'Rollup\Unroll' feature lets you minimize windows so only the title bars remain visible.
  • Stay on Top command:
    The 'Stay on Top' feature helps you place the selected windows on top of other ones, so that it were always accessible and couldn't be hidden by other windows. Don't let these windows annoy you when you busy!
  • Send to Bottom command:
    The 'Send to Bottom' feature sends the desired window to the bottom of others. In other words, this button hides a window under other windows, but leaves it on the desktop.
  • Make Transparent menu:
    The 'Make Transparent' feature lets you apply transparency effect from 0% (fully transparent) to 100% (solid) rate to any program in Windows 2000/XP.

    Transparency Context Menu

    You can select a different transparency level for any window on the fly, while it is open! Clicking 'Make Transparent' displays a popup menu where you can choose one of the predefined levels of transparency. It's a very gorgeous effect, try it - and you'll like it very much.
  • Change Priority menu:
    The 'Change Priority' feature allows changing the desired window's program priority. This command has a submenu that allows you to set the one of the pre-defined levels of the window's program priority: Low, Below Normal, Normal, Above Normal, High and Real-Time.

    Priority Context Menu

  • Align Window menu:
    The 'Align Window' feature lets you get any application window aligned with any of the 9 positions on the desktop - upper-left, upper-central, upper-right, etc. Clicking 'Align Window' button displays a popup menu where you can choose one of the nine types of alignement:

    Align Window Context Menu

  • Resize Window menu:
    The 'Resize Window' feature allows you to set the size of any selected application window to have it always opened at the size you want. You can choose any Default Window Size from the list which includes exact window sizes in pixels (e.g. 640 x 480; 800 x 600; 1024 x 768) or in percents from the desktop size (e.g. 100% x 100%; 50% x 50%). Moreover you can set the width and height of any window on your own by using Custom Window Size option.

    Resize Window Context Menu

    Resize Window tool is extremely useful for website designers. They can quickly see how their web project looks like in different resolutions by flicking through default window sizes or setting any unique window size on their own.
  • Hotkeys support:
    Now you can minimize programs to the system tray, always keep them on top, roll up windows, make them semitransparent, etc. by means only one keystroke combination. Such a possibility lets you manage the same actions much quicker on condition of using keyboard.
  • Individual window settings:
    You can configure every program's windows to different options, leave them that way for a while, or change the options whenever you wish! Your configuration for each window will remain set after every bootup until you change it.
  • Multilingual support:
    Actual Window Menu supports English, German, Dutch, French, Spanish, Portuguese Brazilian, Russian, Ukrainian, Polish, Serbian Latin, Serbian Cyrillic, Japanese, Chinese Simplified, Chinese Traditional languages.
  • Possibility to improve almost each program:
    Actual Window Menu is useful for working with e-mail clients (Microsoft Outlook, MS Outlook Express, Eudora, IncrediMail etc.); messenger programs (MSN / Windows Messenger, Yahoo Messenger etc.); office tools (Microsoft Word, Microsoft Excel, Adobe PhotoShop, Corel Draw etc.); developer tools (MS Visual Studio, Borland Delphi etc.); and many other kinds of programs.

Add custom extended menu to your windows right now!

Copyright © 2002-2007 Actual Tools. All rights reserved.
最終更新日: September 4, 2007.


Glossary

用語集

クリップボード
 | ウィンドウ間のデータを交換するために使用する目に見えない記憶場所
設定
 | システム内の大半のウィンドウに対して正確な動作を定義するウィンドウ ルール セットです。設定モジュールを通じて変更することができます。
設定モジュール
 | Actual Tools プログラムのすべてのインストレーション パッケージに含まれている設定を変更するための特殊なプログラムです。
コントロール センタ
 | Actual Tools プログラムのすべてのインストレーション パッケージに含まれています。ウィンドウを監視し、設定に従って動作を定義する特殊なプログラムです。
デスクトップ
 | 画面範囲に相当する (通常、画面全体のスペースを占める) 特殊な Windows® のフォルダです。開いたウィンドウや特別な項目 ("マイ コンピュータ" や "ごみ箱")、ショートカット、その他のフォルダのアイコンを表示する場所です。
設定ファイル
 | 設定モジュールを使用して変更、および保存したすべてのウィンドウ ルールを格納しているファイルです。
タスクバー
 | 開いたウィンドウのボタンを表示するウィンドウです。このボタンを使用することでウィンドウ間の切り替えができます。
トレイ (システム トレイ、Windows® トレイ)
 | タスクバーの右側にある領域を指します。通常、システム クロックやバックグラウンドで作動中のアプリケーション (アンチウイルスやファイアウォールなど) のアイコンを表示します。
ウィンドウ メニュー
 | ウィンドウ タイトルの左端のアイコンを左クリックした際や、ウィンドウ タイトル、およびタスクバー ボタンを右クリックした際に表示されるポップアップ メニューです。
ウィンドウ ルール
 | Actual Tools のすべてのプログラムの基本要素です。コントロール センタにより処理されるべきウィンドウはどれか、またどのような方法で処理するかを定義します。特別な基準セットにより処理すべきウィンドウが定義され、オプション セットにより処理方法が定義されます。


Change Program Affinity

プログラムの親和力の変更

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

プログラムの親和力の変更 (アクション) により、マルチプロセッサ システム (HyperThreading™ やマルチコア CPU のマルチプロセッサを含む) の CPU リソースをより良くコントロールできます。複数の CPU があると処理能力は大いに増加し、利用可能なプロセッサ ユニットに、より正確に負荷を分散することが可能です。

デフォルトでは、Windows® は実行中のアプリケーションをプロセッサに均一になるように分配し、利用可能なプロセッサ ユニットの負荷を均等にします。簡単に言えば、すべてのアプリケーションはすべてのプロセッサで実行されます。一組の "オン/オフ" スイッチを想像してください。各スイッチは現存の CPU と繋がっており、"一組" は "プログラムの親和力" となります。それぞれは独自の親和力でプログラムを実行していて、それらの親和力 "スイッチ" はデフォルトではオンになっています。(プログラムは利用可能なすべての CPU で実行されます。)しかし、計算集約型タスク (巨大なデータの圧縮、音声/ビデオの符号化、三次元化、複雑な数学的計算など) のため、CPU リソースの解放が必要な場合は、プログラムの親和力の調整が役立ちます。

ヒント: 例えば、システムに 2つのプロセッサ (CPU 0 と CPU 1) がインストールされていて、現在 Microsoft Word、Internet Explorer、3D Studio Max が実行中です。更に、3D Studio Max で緊急の作業を完了しなければならないので、そこにより多くの CPU リソースを許可する必要があります。その場合のデフォルトの親和性が以下の通りです。

プログラム | CPU 0 | CPU 1
Microsoft Word | オン | オン
Internet Explorer | オン | オン
3D Studio Max | オン | オン
 CPU load before adjusting affinities

3D Studio Max により多くの CPU リソースを与えるには、Microsoft Word と Internet Explorer の CPU 1 スイッチをオフにします。

プログラム | CPU 0 | CPU 1
Microsoft Word | オン | オフ
Internet Explorer | オン | オフ
3D Studio Max | オン | オン
 CPU load after adjusting affinities

すると、3D Studio Max は CPU 1 の使用を独占し、より早く計算を終わらせることができます。

ヒント: このアクションに対するもう 1つのアプリケーションは、古いソフトウェア (古いゲームやレガシー プログラム) と近代的なハードウェアの互換性を向上します。そのようなプログラムは "シングル CPU 時代" に開発され、マルチプロセッサ環境でも作動しますが、しばしば不安定になったり、突然クラッシュすることがあります。この状況は、プログラムの親和力を調整することで向上します。CPU を 1つだけ有効にすると、プログラムは事実上 シングル CPU 環境で実行されます。例えば、System Shock 2 (1998年、Looking Glass Studios より発売) のように、古いけれども評判の良い PC ゲームは、シングル プロセッサで実行するために親和力を変更する必要があります。このゲームの起動時に、記載されているアクションを自動的に実行することができます。

関連アクション: プログラムの優先度の変更

設定可能なトリガ: スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Automatic Window Triggers

自動ウィンドウ トリガ

"トリガ イベント"、および "トリガ" は以下の通りです。Actual Tools のプログラムで自動的に実行できるアクションです。

スタートアップ | - Actual Tools プログラムでは、ウィンドウを開く時にいくつかのウィンドウ プロパティを自動的に変更します。
閉じる | - Actual Tools プログラムでは、ウィンドウを閉じる方法を制御します。
最小化 | - ハードウェア リソースを最も有効にするために、最小化したウィンドウのカスタマイズが可能です。
アクティブ/非アクティブ | - 活動状態によってウィンドウ状態を切り替える場合に便利です。
移動/サイズ変更/マウスが上にあるとき | - 一時的に変化したウィンドウ状態のグループは、具体的にプロパティを変更します。


Center To Point

ウィンドウの中央をポイントへ

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

中央をポイントへ (アクション) は、Windows® デスクトップでのポイントを定義することができるので、マルチディスプレイ環境でウィンドウを立ち上げると同時に、ウィンドウを振り分け、定義したポイントを中心として配置することができます。

ヒント: この機能はマルチディスプレイ設定のクライアント PC を通しての Windows® Terminal Server 環境で作業する場合、ディスプレイへ移動に代用できます。この場合、Terminal Server はクライアントのディスプレイを1つの大きなディスプレイとして認識するので、ウィンドウを配置するディスプレイを指定することができません。ウィンドウを中央へ配置するために、デスクトップの適切なポイントを定義することで前述の問題が解決されます。

関連アクション: ディスプレイへ移動

設定可能なトリガ: スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Remove Standard Window Parts

標準のウィンドウパーツを削除

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

標準のウィンドウパーツを削除 (アクション) では、通常操作できるウィンドウ制御 (以下の1～5で表示している操作) を削除、または無効にすることでウィンドウ操作を制限することができます。

Standard Controls Scheme

  1. [最小化] タイトルボタン - ウィンドウを最小化できなくなります。
  2. [最大化/元に戻す] タイトルボタン - ウィンドウをデスクトップ一面に拡大できなくなります。
  3. サイズ変更スポット - ウィンドウのサイズ変更ができなくなります。
  4. タイトルバー アイコンと [閉じる] タイトルボタン - これらのボタンは一括して削除することができますが、ウィンドウを閉じたり、システム ウィンドウ メニューを呼び出すことができなくなります。
  5. ウィンドウ ボーダー (タイトルバーを含む) - タイトルバー無しでは、マウスを使用してウィンドウのドラッグやサイズ変更ができなくなりますが、ボーダーを削除することで、ウィンドウのコンテンツ部分の領域が拡大できます。

ヒント: ウィンドウの配置場所を定義するために、揃えるやサイズ変更を使用した後に、コンテンツを誤って変更してしまったり、必要のない変更をしないように、このアクションを使用することができます。

関連アクション: 新最小化、揃える、サイズ変更、デスクトップに固定

設定可能なトリガ: スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Windows Monitoring Log

ウィンドウ監視ログ

ウィンドウ監視ログ (コントロール センタ ツール) には、2つの主な目的があります。

  • どのウィンドウ ルールが、どのウィンドウに適用されているかを表示することで、設定の正確さの確認 (主に、指定した対象ウィンドウのオプション) ができます。
  • 内部ウィンドウ プロパティの値を取得して、ポップアップ メニューやツール チップ、スプラッシュ スクリーンのような一時的なウィンドウに対してのウィンドウ ルールを作成するために必要な情報を提供します。

1度有効にすると、ウィンドウ監視ログ ツールは Actual Tools プログラムの機能に関連のあるウィンドウ イベントの追跡を開始します。現在の所、2つの主なイベント タイプがあります。

  • 新規ウィンドウ - ウィンドウが新たに開かれたときに発生します。
  • ウィンドウタイトルの変更 - 何らかの理由でウィンドウのタイトルに表示される文字列が変更されたときに発生する。

このようなイベントが発生するとき、ログ ツールはログ ファイルに新しい記録を残します。それぞれの記録には以下のプロパティが含まれます。

日付/時刻 | - イベントを認識するためのタイムスタンプ
イベント | - イベント タイプ (表示される値は、"新規ウィンドウ" あるいは "キャプション変更")
ルール/除外名 | ‐ イベントが発生したときに適用されたウィンドウ ルール名 ("デフォルト設定" あるいは固有名)、あるいは Actual Tools プログラムの影響を受けないように除外に設定したウィンドウ名
ウィンドウ クラス、 ウィンドウ タイトル、 プログラム | - 同名の対象ウィンドウのオプションに必要なウィンドウ プロパティの実際の値
ハンドル、 スタイル、 拡張スタイル | - 内部システム ウィンドウ プロパティの実際の値 (デバッギングを目的に使用されることが多い)

ログ ファイル自体は、EventLog.txt としてユーザ プロファイル (C:\Documents and Settings\<あなたのアカウント名>\Application Data\Actual Tools\Actual Window Manager) に格納されています。コントロール センタのコンテキスト メニューの [ログ ウィンドウの表示] から、ログ ウィンドウで内容を表示することができます。 #include "at_footer.inc"


Hide Mouse Pointer

マウスポインタの非表示

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

マウスポインタの非表示 (アクション) は、指定したウィンドウの領域にマウスポインタが入ると、一時的に表示しないようにします。代替の入力デバイス (ペン、タッチ スクリーンなど) を使用する場合、マウスポインタが邪魔することがなくなり、効果的です。

関連アクション: ウィンドウタイトルの変更、標準のウィンドウパーツの削除

設定可能なトリガ: スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Windows Layout

ウィンドウ レイアウト

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

デスクトップの解像度をよく変更する場合 (例えば以下のような場合)、ウィンドウ レイアウト (コントロール センタ ツール) を使用することで、手動でのウィンドウ操作に掛かる時間を節約できます。

  • Remote Desktop サービスとローカルの双方を同じ PC で作業している時
  • ノートパソコンに2台目のディスプレイを接続/切断した場合
  • "タブレット PC" に外付けの大きなディスプレイを接続/切断した場合

デスクトップ解像度を上げると、現在開いてあるウィンドウは小さいままデスクトップの左上に集まるので、手動でサイズ変更や再配置する必要が出てきます。その反対に、デスクトップ解像度を下げると、ウィンドウは大きいまま表示されるので、見える範囲内に収まらなかったり、完全にその範囲から外れてしまうこともあります。すると、再び手動でサイズ変更や再配置しなければなりません。

ウィンドウ レイアウトは、そのような問題を解決します。デスクトップ解像度の変更を検知して、以下の表示のように現在開いてあるウィンドウを "自動的に" 再配置/サイズ変更するので、元のレイアウトを維持しながらデスクトップに配置します。([自動的に維持] (オプション) が有効になっているか確認してください。)

Keeping windows layout while enlarging the desktop resolution

デスクトップ解像度の変更後もウィンドウのレイアウトを維持

ウィンドウ レイアウトの [自動的に維持] は、新規のウィンドウ外観を検知して、このウィンドウが現在のデスクトップ領域を超えるか確認します。(これは高いデスクトップ解像度でウィンドウを閉じたときに実行されます。ウィンドウは位置、サイズを記憶するので、低い解像度で開くと表示領域を外れてしまいます。)この場合、[ウィンドウ レイアウト] は自動的にウィンドウを見える範囲内に戻します。

ウィンドウ レイアウトのデフォルト設定は、開いてあるウィンドウの再配置、およびサイズ変更を実行しますが、サイズはそのままで再配置のみを実行したい場合は [デスクトップに応じてウィンドウ サイズを適切に変更] (オプション) を無効にします。

これはコンテキスト メニューの [今すぐ再配置] から実行できる "手動での再配置機能" を使用する際に便利です。手動での再配置は次の原理に従って動作します。現在開いてあるウィンドウすべての Bounding Box (境界を示す枠) を検知します。この Bounding Box を引き伸ばして、デスクトップに適合します。ウィンドウは適切に再配置/サイズ変更されるので、完全に表示されるようになります。この原理は下記の図に描かれています。

Manual relocation's principle of operation

手動再配置の基本操作

自動モードを無効にしている場合、もしくは何らかの理由でウィンドウをデスクトップの表示範囲から移動した後、[今すぐ再配置] を使用すると、散乱したウィンドウを素早くデスクトップの表示範囲内に戻します。

ウィンドウ レイアウトは、コントロール センタが実行されている間は常に利用することができます。このオプションは ウィンドウ レイアウト オプションのプロパティシートにて設定できます。


Manual Window Triggers

手動トリガ

"トリガ イベント"、および "トリガ" の一覧は以下の通りです。アクションを実行するにはユーザによる設定が必要です。

追加のタイトルボタンをクリック | - ウィンドウ動作を手動で管理するために、タイトルバーにボタンを追加することができます。
追加のメニュー コマンドをクリック | - 手動ウィンドウ管理のもう1つの方法は、タイトルバーを右クリックした状態のコンテキスト メニューへコマンドを追加することです。
ホットキーを押す | - 使用頻度が高いアクションのキーコンビネーションを定義できます。
タイトルバーをダブルクリック | - タイトルバーを "ダブルクリック" した時のデフォルトの動作を別の動作に変更または拡張できます。
標準のウィンドウパーツをクリック | - 標準のウィンドウパーツ (ボーダー、タイトル、標準のタイトルボタンなど) の上でのマウス操作 (右クリック、または左クリック) に対応するアクションを適用します。


Pin To Desktop

デスクトップに固定

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

デスクトップに固定 (アクション) は、特定のウィンドウを常にデスクトップ上に開いた状態にした上、最小化を拒否します。このウィンドウは他のすべてのウィンドウの後ろでデスクトップに "貼り付け" られた状態になり、Windows® システム コマンドである [全てのウィンドウを最小化] ([Windows] + [M]）や [デスクトップの表示] ([Windows] + [D]) を含む通常行える最小化が無効になります。しかし、新最小化を使用してウィンドウを隠すことは可能です。

注意: [Alt] + [Tab] で表示できるリストにも表示されません。

ウィンドウを固定した場合、そのウィンドウ メニューには [デスクトップに固定] が追加されます。このメニューを使用して、ウィンドウの "固定/解除" 状態を切り替えることができます。

ヒント: このアクションは永続的な "最背面に移動" と考えられるので、デスクトップに貼り付けられた状態のウィンドウに対しての最背面に移動は無効となります。デスクトップに固定は、処理に時間の掛かるものを頻繁に監視する必要があり、常に表示しておきたいが前面に表示する必要はないようなウィンドウに対して使用すると効果的です。

関連アクション: 新最小化、標準のウィンドウパーツを削除、常に手前に (表示する)、最背面に移動

設定可能なトリガ: スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Control Center Tools

コントロール センタ ツール

コントロール センタ ツールとは、タスクバーの中にある Actual Window Manager のアイコンを右クリックすると表示されるコンテキスト メニュー内のツールです。Actual Tools プログラムで現在利用可能なツールは次の通りです。

隠し解除 | - 新最小化したすべてのウィンドウへのアクセスを提供します。
ウィンドウ レイアウト | - デスクトップの解像度の変更後、現在開いてあるウィンドウの全体的なレイアウトを自動的に保存します。
ウィンドウ監視ログ | - それぞれの新しいウィンドウの外観を追跡し、そのウィンドウのプロパティを取得、ログ ファイルに保存します。


Run Keyboard Macro

キーボード マクロの実行

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

キーボード マクロの実行 (アクション) は、ある特定のウィンドウが表示されたときに、反復的なキーボード操作を自動化する非常に強力で柔軟性のあるツールです。特殊なフォーマットでキーストロークの配列を記憶 (このような配列を "キーボード マクロ" と呼ぶ)、特定のウィンドウを表示するたびにこの配列を自動的に操作します。この場合の "操作" とは、実際にキーを入力しているかのように "入力をプログラム模倣" することです。

キーボード マクロの配列には、すべてのキー、およびキーコンビネーションを組むことが可能です。マクロの作成方法についての詳細はこちらを参照してください。

ヒント: このアクションは、極めて多種多様な活用が可能であり、ここに記載されている例はごく一部です。

  • 長い文書 (テキスト、ウェブページ、スプレッドシートなど)、あるいはリスト (膨大な数のファイルが格納されているファイル フォルダなど) の最後へ自動位置決め: [End]、[Ctrl] + [End]、[Ctrl] + [PageDown] などのような適切なキーコンビネーションの送信により可能になる。
  • セキュリティ確認ダイアログでの "ログイン/パスワード" の自動入力: "(あなたのログイン名) [Tab] (あなたのパスワード) [Enter]" を適用する。
  • 自動挿入、および文書/電子メールへの通常のテキストブロック: そのテキストブロックをマクロとして貼り付けし、このマクロをウィンドウに適用する。

重要! ある特定のウィンドウにキーボード マクロを適用していますが、実際のところ、すべてのウィンドウが共有する特殊なシステム キーボード バッファにより実行されています。マクロが既に実行されているときに新しいウィンドウが表示されると、この新しいウィンドウは入力フォーカスを取り戻し、実行されているマクロを取得します。マクロの対象となっているウィンドウは、期待通りにすべての配列を得ることはできません。このサイドエフェクトを考えると、マクロを実行する場合は以下の見解を考慮に入れておくことを推奨します。

  • 入力フォーカスを変えるキーコンビネーションを正確、且つ慎重に使用する。例えば、[Alt] + [Tab]、[Ctrl] + [Esc]、[Win] など。
  • 長すぎるマクロを設定しない。マクロが長ければ長いほど、不慮に入力フォーカスが変わる可能性が高くなります。
  • マクロが適切なときに実行されるように、[実行前に遅延] (オプション) を賢く利用する。

設定可能なトリガ: スタートアップ

Copyright © 2002-2007 Actual Tools. All rights reserved.


Unhide

隠し解除

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Minimizer、Actual Title Buttons、Actual Window Menu

隠し解除 (コントロール センタ ツール) は、ウィンドウを新最小化している時、コントロール センタのコンテキスト メニューからそのウィンドウを元に戻せるようにします。

Unhide Context Menu

  • 隠し解除のサブメニュー - 現在新最小化されているウィンドウの一覧を表示します。ウィンドウを元に戻したい場合は、該当する項目をクリックします。
  • すべて隠し解除 コマンド - 現在新最小化されているすべてのウィンドウを 1度ですべて元に戻したい場合にクリックします。

隠し解除は、コントロール センタが実行されている際は常に利用可能です。


How To Create Specific Settings For A Particular Window

特定のウィンドウに対する個別設定の作成方法

設定モジュールにて

  1. 設定したいウィンドウを開き、デスクトップに表示する
  2. 設定モジュールを実行する
  3. メイン メニューの [ウィンドウ] > [ウィンドウ設定の追加] を選択して (あるいはツールバー ボタンをクリック、または [Ctrl] + [A] を押す)、新しい個別設定を追加する
  4. 新たに作成した設定の[対象ウィンドウ] パネルを開く ([対象ウィンドウ] ボタンを押す)
  5. ウィンドウ ファインダ、またはウィンドウ セレクタを使用して正確に対象ウィンドウのオプションを入力する
  6. デフォルトの Window Rule <x> の名前を変更する ( x は番号)
  7. 必要に応じてウィンドウ設定のプロパティを設定する
  8. メイン メニューの [ファイル] > [保存] を選択して (あるいはツールバー ボタンをクリック、または [Ctrl] + [S] を押す) 作成したウィンドウ設定を適用する

ウィンドウ設定管理のタイトルボタンから

注意: [...に [ウィンドウ設定管理] のボタンを追加] (オプション) が有効でなければ利用できません。

  1. 設定したいウィンドウを開き、デスクトップに表示する
  2. 設定したいウィンドウのタイトルバーの [ウィンドウ設定管理] のタイトルボタンをクリックして [Create specific settings for this window] を選択する
  3. 必要に応じてウィンドウ設定のプロパティを設定する
  4. メイン メニューの [ファイル] > [保存] を選択して (あるいはツールバー ボタンをクリック、または [Ctrl] + [S] を押す) 作成したウィンドウ設定を適用する

ウィンドウ設定管理のサブメニューから

注意: [...に [ウィンドウ設定管理] のボタンを追加] (オプション)が有効でなければ利用できません。

  1. 設定したいウィンドウを開き、デスクトップに表示する
  2. 設定したいウィンドウのタイトルバーを右クリックしてウィンドウメニューを呼び出す
  3. 表示されたメニュー内で [ウィンドウ設定管理] > [Create specific settings for this window] を選択する
  4. 必要に応じてウィンドウ設定のプロパティを設定する
  5. メイン メニューの [ファイル] > [保存] を選択して (あるいはツールバー ボタンをクリック、または [Ctrl] + [S] を押す) 作成したウィンドウ設定を適用する


Actual Window Manager Log Window

Actual Window Manager ログ ウィンドウ

[Actual Window Manager ログ] ウィンドウには、[ウィンドウ監視ログ] ツールで扱うログ ファイルの内容が表示されます。

Actual Window Manager Log Window

現在ログ ファイルに格納されているウィンドウ イベントの一覧を表示します。表示される項目の色凡例は以下の通りです。

  • 紫 - デフォルト設定が適用されたウィンドウ
  • 青 - 個別設定が適用されたウィンドウ
  • 赤 - 除外設定が適用されたウィンドウ
  • 白い背景 - イベント "新規ウィンドウ" の発生
  • 水色の背景 - イベント "キャプション変更" の発生

列のキャプションをクリックし、以下のコンテキスト メニューにどの列を表示するかを選択することで、列の数をカスタマイズできます。

Log Window Columns Menu

リストの項目を右クリックすると、以下のコマンドを含むログ ウィンドウのコンテキスト メニューを表示します。

Log Window Context Menu

  • [コピー] - クリックした列からクリックした項目の値をクリップボードにコピーします。
  • [行をクリップボードにコピー] -クリックした箇所の値だけでなく、その行全体の値をコピーします。
  • [検索...] - 任意のテキストを含む最初の項目を指定した方向 (上へ/下へ) に検索します。
  • [次を検索] - 任意のテキストを含む次の項目を指定した方向 (上へ/下へ) に検索します。
  • [ログの削除] - ログの内容を削除します。

このログ ウィンドウは、標準の [閉じる (X)] タイトルボタンのクリック、あるいはコントロール センタのコンテキスト メニュー の [ログ ウィンドウを閉じる] から閉じることができます。


Windows Layout Options Property Sheet

ウィンドウ レイアウト オプションのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Guard

Windows レイアウト オプションのプロパティシートでは、[ウィンドウ レイアウト] ツールの共通オプションを設定します。

Windows Layout Options Property Sheet

[自動的にレイアウトを維持] のチェックボックス - オンにすると、Actual Windows Manager がデスクトップの解像度の変化を探知し、現在開いてあるウィンドウを解像度変化前のレイアウトと一貫した再配置をします。

[デスクトップに応じてサイズを変更] のチェックボックス - オンにすると、デスクトップ サイズの変更に応じて、現在開いているウィンドウを再配置するだけでなくサイズも変更します。


Roll Up Action Options Property Sheet

ロールアップ アクション オプションのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Window Rollup、Actual Title Buttons、Actual Window Menu

ロールアップ アクション オプションのプロパティシートでは、ロールアップ アクションの共通オプションを設定します。

Roll Up Action Options Property Sheet

[スムーズなロールアップ/アンロール] のチェックボックス - オンにすると、ロールアップ/アンロールを更に楽しく視覚的に魅力あるものにします。


Make Transparent Action Options Property Sheet

透過アクション オプションのプロパティシート

この機能を搭載しているアプリケーション: Actual Window Manager、Actual Transparent Window、Actual Title Buttons、Actual Window Menu

透過アクション オプションのプロパティシートでは、透過アクションの共通オプションを設定します。

Make Transparent Action Options Property Sheet

[スムーズな透過効果] のチェックボックス - オンにすると、通常の切り替えよりも透過度の切り替えをスムーズに行います。スムーズな切り替えは視覚的に魅力的ですが、メモリ領域を消費しやすく、高速ビデオ アダプタが必要となります。


Select Rule Dialog

設定選択ダイアログ

[設定選択] ダイアログは、現在利用可能な個別設定のリストを表示する特別なウィンドウです。ここでは、[設定をコピー...] コマンドなどの操作のためにリストから設定項目を 1つ選択することができます。

Select Rule Dialog

[OK] ボタンをクリックすると、リストで選択した設定内容が適用され、[設定選択] ダイアログが閉じます。このダイアログを他の方法 (標準の [閉じる] タイトルボタン、および [キャンセル] ボタンをクリックしたり、[Alt] + [F4] を押す) で閉じた場合、操作はキャンセルされます。